[Touch-packages] [Bug 1773859] Re: Upgrades to 18.04 fail due to systemd-shim

2021-01-23 Thread Jim Denny
** Changed in: systemd (Ubuntu Bionic)
 Assignee: (unassigned) => Jim Denny (bluedanser)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd-shim in Ubuntu.
https://bugs.launchpad.net/bugs/1773859

Title:
  Upgrades to 18.04 fail due to systemd-shim

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd-shim package in Ubuntu:
  Won't Fix
Status in systemd source package in Bionic:
  Fix Released
Status in systemd-shim source package in Bionic:
  Won't Fix
Status in systemd source package in Cosmic:
  Fix Released
Status in systemd-shim source package in Cosmic:
  Won't Fix

Bug description:
  [Impact]

   * Some systems fail to upgrade due to conflicts between systemd and
  the (now removed from the archive) systemd-shim / upstart.

   * Instead of trying to work out what's the problem in ordering /
  removal of diverts, ensure that systemd is never unpacked whilst
  systemd-shim/upstart are still on disk. Thus declare conflicts against
  systemd-shim/upstart packages in systemd package.

  [Test Case]

   * monitor drop-off of upgrades with below reported problem

   * Check that it is possible to upgrade to bionic's libpam-systemd
  from xenial with systemd-shim installed on xenial, ie.

  lxc launch ubuntu-daily:xenial test-shim-upgrade
  lxc exec test-shim-upgrade
  apt update
  apt install systemd-shim
  wget 
https://deb.debian.org/debian/pool/main/s/systemd-shim/systemd-shim_10-3_amd64.deb
  apt install ./systemd-shim_10-3_amd64.deb 
  sed 's/xenial/bionic/' -i /etc/apt/sources.list
  apt update
  apt install systemd

  this currently passes, however, systemd-shim remains installed. It
  should be removed instead. Apt install systemd should have lines like
  this:

  The following packages will be REMOVED:
systemd-shim
  ...
  Removing 'diversion of 
/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service to 
/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service.systemd by 
systemd-shim'
  ...

  
  [Regression Potential]

   * systemd-shim/upstart are both removed and not supported in bionic,
  thus forcing their removal via conflicts should bring the system into
  an expected state.

  [Other Info]

   * original bug report

  $ sudo apt upgrade
  Reading package lists... Done
  Building dependency tree
  Reading state information... Done
  Calculating upgrade... Done
  The following packages will be REMOVED:
    systemd-shim
  0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
  1 not fully installed or removed.
  After this operation, 71.7 kB disk space will be freed.
  Do you want to continue? [Y/n] y
  (Reading database ... 63 files and directories currently installed.)
  Removing systemd-shim (9-1bzr4ubuntu1) ...
  Removing 'diversion of 
/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service to 
/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service.systemd by 
systemd-shim'
  dpkg-divert: error: rename involves overwriting 
'/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service' with
    different file 
'/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service.systemd', 
not allowed
  dpkg: error processing package systemd-shim (--remove):
   subprocess installed post-removal script returned error exit status 2
  Errors were encountered while processing:
   systemd-shim
  E: Sub-process /usr/bin/dpkg returned an error code (1)

  Commenting out the dpkg-divert in systemd-shim's postrm solved this
  for me and I was about to continue the upgrade.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1773859/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1906331] Re: systemd-resolve crashes fairly often (and reports various assertions)

2021-01-04 Thread Jim MacKenzie
This bug affects me, too, on an amd64 system after an in-place do-
release-upgrade upgrade from 18.04 LTS yesterday.

I have no interactions with an OpenWRT box, though.

My config is currently a WiFi connection away from home, with an
automatic OpenVPN tunnel to my router at home, using split DNS to
resolve a private .prv domain for my home network.

The problem did not exist with 18.04 LTS.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1906331

Title:
  systemd-resolve crashes fairly often (and reports various assertions)

Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  (Tested on regularly updated Ubuntu 20.04, currently i use systemd
  245.4-4ubuntu3.2)

  I observe fairly lot of segfaults of systemd-resolve. Frequency vary
  but … see below.

  I have no clue what is the reason. Specific feature of my machine is
  that apart from normal cable connection (to OpenWRT router) I use
  OpenVPN for business network (and this submits specific nameserver for
  myorg.local domain).

  ~
  $ LC_ALL=C dmesg -T --level=info | grep systemd-resolve
  [Sun Nov 29 11:47:37 2020] systemd-resolve[1629307]: segfault at 190eed7bdc6 
ip 7fd98f771dc9 sp 7ffc2352a100 error 4 in 
libsystemd-shared-245.so[7fd98f74c000+16e000]
  [Sun Nov 29 11:57:27 2020] systemd-resolve[1629787]: segfault at 1f ip 
55ab7b0cb686 sp 7fff78ce4bd0 error 4 in 
systemd-resolved[55ab7b0a4000+3e000]
  [Sun Nov 29 12:07:37 2020] systemd-resolve[1630481]: segfault at 191 ip 
55ca69fed91c sp 7ffc4d757dc0 error 6 in 
systemd-resolved[55ca69fc2000+3e000]
  [Sun Nov 29 13:12:26 2020] systemd-resolve[1638829]: segfault at 19224162371 
ip 7fc1bc9b9dc9 sp 7ffc21378170 error 4 in 
libsystemd-shared-245.so[7fc1bc994000+16e000]
  [Sun Nov 29 13:32:57 2020] systemd-resolve[1639886]: segfault at 1926d8126d3 
ip 7f7ed17e9dc9 sp 7ffda2cea0b0 error 4 in 
libsystemd-shared-245.so[7f7ed17c4000+16e000]
  [Sun Nov 29 13:42:37 2020] systemd-resolve[1640246]: segfault at 61 ip 
558d992e2686 sp 7fff08906af0 error 4 in 
systemd-resolved[558d992bb000+3e000]
  [Sun Nov 29 15:42:26 2020] systemd-resolve[1645397]: segfault at 1943c92afc7 
ip 7fd4c1721dc9 sp 7fff25259ce0 error 4 in 
libsystemd-shared-245.so[7fd4c16fc000+16e000]
  [Sun Nov 29 16:02:36 2020] systemd-resolve[1646052]: segfault at 1947ecb3726 
ip 7f1008549dc9 sp 7fff44a6db70 error 4 in 
libsystemd-shared-245.so[7f1008524000+16e000]
  [Sun Nov 29 17:42:35 2020] systemd-resolve[1649403]: segfault at 71 ip 
55a37fe5a686 sp 7ffd9a160440 error 4 in 
systemd-resolved[55a37fe33000+3e000]
  [Sun Nov 29 17:52:35 2020] systemd-resolve[1649759]: segfault at 558d292947d0 
ip 558d292947d0 sp 7ffec7ab3bf8 error 15
  [Sun Nov 29 19:17:55 2020] systemd-resolve[1652349]: segfault at 558995b77cf0 
ip 558995b77cf0 sp 7ffe545ae4a8 error 15
  [Sun Nov 29 19:32:35 2020] systemd-resolve[1652640]: segfault at 19773c20194 
ip 7f66bb529dc9 sp 7fffd7066fc0 error 4 in 
libsystemd-shared-245.so[7f66bb504000+16e000]
  [Sun Nov 29 20:03:54 2020] systemd-resolve[1653715]: segfault at 197e3aee918 
ip 7fdc40b51dc9 sp 7ffde484fbf0 error 4 in 
libsystemd-shared-245.so[7fdc40b2c000+16e000]
  [Sun Nov 29 20:22:24 2020] systemd-resolve[1654540]: segfault at 19820a05297 
ip 7f6a92839dc9 sp 7ffe4ba00440 error 4 in 
libsystemd-shared-245.so[7f6a92814000+16e000]
  [Sun Nov 29 21:13:10 2020] systemd-resolve[1660272]: segfault at 555f9a5915e0 
ip 555f9a5915e0 sp 7fff053e5e68 error 15
  [Sun Nov 29 21:32:34 2020] systemd-resolve[1661026]: segfault at 1991af73f2e 
ip 7ff194021dc9 sp 7fffa6d61680 error 4 in 
libsystemd-shared-245.so[7ff193ffc000+16e000]
  [Sun Nov 29 22:03:20 2020] systemd-resolve[1661941]: segfault at 5625966828e0 
ip 5625966828e0 sp 7ffdf5a8bb48 error 15
  [Sun Nov 29 22:32:44 2020] systemd-resolve[1662604]: segfault at 199f18ae01d 
ip 7f457c9d1dc9 sp 7ffc62b80ef0 error 4 in 
libsystemd-shared-245.so[7f457c9ac000+16e000]
  [Sun Nov 29 23:12:23 2020] systemd-resolve[1664072]: segfault at 73b8 ip 
562619f8c93a sp 7ffd527b7ef0 error 6 in 
systemd-resolved[562619f61000+3e000]
  [Sun Nov 29 23:22:34 2020] systemd-resolve[1664423]: segfault at 19aaa4d4c00 
ip 7f2621539dc9 sp 7ffc73102280 error 4 in 
libsystemd-shared-245.so[7f2621514000+16e000]
  [Mon Nov 30 00:12:23 2020] systemd-resolve[1666158]: segfault at 19b5c72000a 
ip 7f530b5c1dc9 sp 7ffc6007ccf0 error 4 in 
libsystemd-shared-245.so[7f530b59c000+16e000]
  [Mon Nov 30 00:47:54 2020] systemd-resolve[1667280]: segfault at 10036 ip 
7f0736b8bbe8 sp 7fffed4d3cb0 error 4 in 
libsystemd-shared-245.so[7f0736acc000+16e000]
  [Mon Nov 30 01:57:53 2020] systemd-resolve[1669463]: segfault at 558d6b61c0c0 
ip 558d6b61c0c0 sp 7ffc68df7198 error 15
  [Mon Nov 30 02:58:08 

[Touch-packages] [Bug 1886336] [NEW] Network Manager permissions issue

2020-07-05 Thread Jim!
Public bug reported:

Description:Ubuntu 20.04 LTS
Release:20.04

network-manager:
  Installed: 1.22.10-1ubuntu2.1
  Candidate: 1.22.10-1ubuntu2.1
  Version table:
 *** 1.22.10-1ubuntu2.1 500
500 http://gb.archive.ubuntu.com/ubuntu focal-updates/main amd64 
Packages
100 /var/lib/dpkg/status
 1.22.10-1ubuntu1 500
500 http://gb.archive.ubuntu.com/ubuntu focal/main amd64 Packages

Having recently updated from 19.19 to 20.04, I am now unable to add/edit
any connections. When I try, a dialogue box pops up saying;

"Failed to activate {SSID}
Not authorized to control networking."

I have spent some time trawling the web but no obvious solution was
found, but one post mentioned "nmcli g permissions" which I tried as
user and using sudo.

User output;

PERMISSION VALUE
org.freedesktop.NetworkManager.enable-disable-network no
org.freedesktop.NetworkManager.enable-disable-wifi no
org.freedesktop.NetworkManager.enable-disable-wwan no
org.freedesktop.NetworkManager.enable-disable-wimax no
org.freedesktop.NetworkManager.sleep-wake no
org.freedesktop.NetworkManager.network-control auth
org.freedesktop.NetworkManager.wifi.share.protecte d no
org.freedesktop.NetworkManager.wifi.share.open no
org.freedesktop.NetworkManager.settings.modify.sys tem no
org.freedesktop.NetworkManager.settings.modify.own auth
org.freedesktop.NetworkManager.settings.modify.hos tname auth
org.freedesktop.NetworkManager.settings.modify.glo bal-dns auth
org.freedesktop.NetworkManager.reload auth
org.freedesktop.NetworkManager.checkpoint-rollback auth
org.freedesktop.NetworkManager.enable-disable-statistics no
org.freedesktop.NetworkManager.enable-disable-connectivity-check no
org.freedesktop.NetworkManager.wifi.scan unknown

Sudo output;

org.freedesktop.NetworkManager.enable-disable-network yes
org.freedesktop.NetworkManager.enable-disable-wifi yes
org.freedesktop.NetworkManager.enable-disable-wwan yes
org.freedesktop.NetworkManager.enable-disable-wimax yes
org.freedesktop.NetworkManager.sleep-wake yes
org.freedesktop.NetworkManager.network-control yes
org.freedesktop.NetworkManager.wifi.share.protecte d yes
org.freedesktop.NetworkManager.wifi.share.open yes
org.freedesktop.NetworkManager.settings.modify.sys tem yes
org.freedesktop.NetworkManager.settings.modify.own yes
org.freedesktop.NetworkManager.settings.modify.hos tname yes
org.freedesktop.NetworkManager.settings.modify.glo bal-dns yes
org.freedesktop.NetworkManager.reload yes
org.freedesktop.NetworkManager.checkpoint-rollback yes
org.freedesktop.NetworkManager.enable-disable-statistics yes
org.freedesktop.NetworkManager.enable-disable-connectivity-check yes
org.freedesktop.NetworkManager.wifi.scan unknown

Now it seems to me that I should have more permissions as a user.

I have checked what the User output is when you boot into the live ISO
and it has all the same permissions as the Sudo output shown above. So
my guess would be that this is what myproblem is.

How can I fix these permission issues as a workaround while you
investigate this bug.

Thanks.

Jim!

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: network-manager 1.22.10-1ubuntu2.1
ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
Uname: Linux 5.4.0-40-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
CasperMD5CheckResult: skip
CurrentDesktop: KDE
Date: Sun Jul  5 19:07:19 2020
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2016-10-13 (1361 days ago)
InstallationMedia: It
IpRoute:
 default via 192.168.0.2 dev wlp3s0 proto dhcp metric 600 
 169.254.0.0/16 dev wlp3s0 scope link metric 1000 
 192.168.0.0/24 dev wlp3s0 proto kernel scope link src 192.168.0.176 metric 600
ProcEnviron:
 LANGUAGE=en_GB
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: network-manager
UpgradeStatus: Upgraded to focal on 2020-03-14 (113 days ago)
modified.conffile..etc.NetworkManager.conf.d.default-wifi-powersave-on.conf:
 [connection]
 wifi.powersave = 2
mtime.conffile..etc.NetworkManager.conf.d.default-wifi-powersave-on.conf: 
2020-01-01T15:53:38.227396
nmcli-nm:
 RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  WIFI  
   WWAN-HW  WWAN 
 running  1.22.10  connected  started  full  enabled enabled  
enabled  enabled  disabled

** Affects: network-manager (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1886336

Title:
  Network Manager permissions issue

Status in network-manager package in Ubuntu:
  New

Bug description:
  Description:Ubuntu 20.04 LTS
  Release:20.04

  network-manager:
Installed: 1.22.10-1ubuntu2.1
Candidate: 1.22.10-1ubuntu2.1
Version table:
   *** 1.

[Touch-packages] [Bug 1873895] Re: Regression: block staircase display with side-by-side monitors of different pixel widths

2020-04-26 Thread Jim Carpenter
Just tried upgrading my Xubuntu 19.10 desktop to 20.04 and I'm now
getting the same staircase effect. Video card is an AMD Radeon RX 5700
XT which is connected with a DisplayPort -> DVI-D cable to an ancient LG
W2252TQ monitor with a resolution of, yes, 1680x1050. It is the only
monitor connected.

Just thought I'd share. Rolling back to 19.10 now. I'll try again with
the point release.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libxcb in Ubuntu.
https://bugs.launchpad.net/bugs/1873895

Title:
  Regression: block staircase display with side-by-side monitors of
  different pixel widths

Status in Linux:
  Unknown
Status in libxcb package in Ubuntu:
  Confirmed
Status in xfwm4 package in Ubuntu:
  Confirmed
Status in xserver-xorg-video-amdgpu package in Ubuntu:
  Confirmed

Bug description:
  Update based on further research.

  This only happens when the secondary external display is operating at
  a different pixel width to the internal. In this case eDP is 1920x1080
  whereas the external HDMI-A-0 is natively 1680x1050.

  It is caused by xfwm4's recent switch from using glx to xpresent for
  AMD GPUs.

  The underlying bug is in the AMD driver.

  I was able to reproduce on an external 1920x1200 display only when it
  was set to a non-native 1680x1050 resolution.

  ---
  Two identical Lenovo E495 laptops with 20.04 installed. The problem occurred 
initially on the laptop that is having package upgrades applied regularly.

  With dual monitors and the external monitor placed left or right the
  display has a blocked staircase effect shown in the attached
  photograph, and seems related to

  https://gitlab.freedesktop.org/xorg/driver/xf86-video-
  amdgpu/-/issues/10

  More detailed investigation suggests it only happens when the X
  coordinate of the two monitors is different. The symptom looks like an
  off-by-one error because it appears as if the display is divided into,
  say, 10 rows and 15 columns but the first row has 16 'columns' worth
  of blocks on it and so wraps to the beginning of the 2nd row, and so
  on.

  On the laptop without package upgrades being applied this didn't
  happen. So I upgraded it (314 packages) and restarted and it too sees
  the same problem.

  I suspected libxcomposite1 and downgraded it to 1:0.4.5-0ubuntu1 but
  that didn't solve it.

  I now suspect libxcb but so far haven't been able to prove it.
  ---
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: XFCE
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroRelease: Ubuntu 20.04
  DistroVariant: ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Picasso [1002:15d8] (rev c1) (prog-if 
00 [VGA controller])
     Subsystem: Lenovo ThinkPad E595 [17aa:5124]
  InstallationDate: Installed on 2020-04-08 (11 days ago)
  InstallationMedia: Xubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200408)
  MachineType: LENOVO 20NECTO1WW
  Package: xserver-xorg-video-amdgpu 19.1.0-1
  PackageArchitecture: amd64
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.4.0-21-generic 
root=/dev/mapper/ELLOE000-rootfs ro acpi_osi=! "acpi_osi=Windows 2016" quiet 
splash vt.handoff=7
  ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
  Tags:  focal ubuntu ubuntu
  Uname: Linux 5.4.0-21-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip libvirt lp lpadmin lxd plugdev sambashare sudo users
  _MarkForUpload: True
  dmi.bios.date: 12/23/2019
  dmi.bios.vendor: LENOVO
  dmi.bios.version: R11ET32W (1.12 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 20NECTO1WW
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Defined
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: None
  dmi.modalias: 
dmi:bvnLENOVO:bvrR11ET32W(1.12):bd12/23/2019:svnLENOVO:pn20NECTO1WW:pvrThinkPadE495:rvnLENOVO:rn20NECTO1WW:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
  dmi.product.family: ThinkPad E495
  dmi.product.name: 20NECTO1WW
  dmi.product.sku: LENOVO_MT_20NE_BU_Think_FM_ThinkPad E495
  dmi.product.version: ThinkPad E495
  dmi.sys.vendor: LENOVO
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/linux/+bug/1873895/+subscriptions

-- 

[Touch-packages] [Bug 1874608] [NEW] package cron 3.0pl1-136ubuntu1 failed to install/upgrade: conffile difference visualizer subprocess returned error exit status 127

2020-04-23 Thread Jim Tittsler
Public bug reported:

Failed during do-release-upgrade from 18.04.4 to 20.04.

ProblemType: Package
DistroRelease: Ubuntu 20.04
Package: cron 3.0pl1-136ubuntu1
ProcVersionSignature: Ubuntu 5.3.0-46.38~18.04.1-generic 5.3.18
Uname: Linux 5.3.0-46-generic x86_64
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
CasperMD5CheckResult: skip
Date: Fri Apr 24 13:03:47 2020
ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 2.7.17-4
RelatedPackageVersions:
 dpkg 1.19.7ubuntu3
 apt  2.0.2
SourcePackage: cron
Title: package cron 3.0pl1-136ubuntu1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
UpgradeStatus: Upgraded to focal on 2020-04-24 (0 days ago)
modified.conffile..etc.crontab: [modified]
mtime.conffile..etc.crontab: 2019-12-19T12:01:39.171715

** Affects: cron (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package focal uec-images

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cron in Ubuntu.
https://bugs.launchpad.net/bugs/1874608

Title:
  package cron 3.0pl1-136ubuntu1 failed to install/upgrade: conffile
  difference visualizer subprocess returned error exit status 127

Status in cron package in Ubuntu:
  New

Bug description:
  Failed during do-release-upgrade from 18.04.4 to 20.04.

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: cron 3.0pl1-136ubuntu1
  ProcVersionSignature: Ubuntu 5.3.0-46.38~18.04.1-generic 5.3.18
  Uname: Linux 5.3.0-46-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 24 13:03:47 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2
  SourcePackage: cron
  Title: package cron 3.0pl1-136ubuntu1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-24 (0 days ago)
  modified.conffile..etc.crontab: [modified]
  mtime.conffile..etc.crontab: 2019-12-19T12:01:39.171715

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cron/+bug/1874608/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861230] Re: _sasl_plugin_load failed

2020-01-29 Thread Jim Campbell
In trying to recreate the issue this afternoon, it looks as though
installs based on all of the updated / most recent packages are
succeeding again (i.e., this may no longer be an issue).

In our dpkg logs, we noticed that an update came through today for libc-
bin (2.27-3ubuntu1), and wonder if this update may have been part of
what resolved the issue.

If that is not part of why this is working, then I will bury my head /
beg your forgiveness and try to figure out if there was some other
cause.

Please understand that this stopped working the same day that we got the
libsasl2 package updates, and that reverting the libsasl2 updates
allowed us to get our installs working, so that is why we filed a bug
against this package. Thanks again for your help.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cyrus-sasl2 in Ubuntu.
https://bugs.launchpad.net/bugs/1861230

Title:
  _sasl_plugin_load failed

Status in cyrus-sasl2 package in Ubuntu:
  New

Bug description:
  We are seeing the following in the journal after upgrading to these
  sets of packages:

  libsasl2-2/bionic-updates,bionic-security 2.1.27~101-g0780600+dfsg-3ubuntu2.1 
amd64
  libsasl2-modules/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64
  libsasl2-modules-db/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64 
  libsasl2-modules-gssapi-mit/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 

  Here are the errors:

  Jan 28 15:58:43 my-hostname sssd[20949]: Starting up
  Jan 28 15:58:43 my-hostname sssd[be[20950]: Starting up
  Jan 28 15:58:43 my-hostname sssd_be[20950]: ldapdb
  Jan 28 15:58:43 my-hostname sssd_be[20950]: _sasl_plugin_load failed on 
sasl_canonuser_init
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cyrus-sasl2/+bug/1861230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861230] Re: _sasl_plugin_load failed

2020-01-29 Thread Jim Campbell
We are doing additional testing here. Please sit tight / do not research
further until we check into things further on our end.

Thanks again for your help.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cyrus-sasl2 in Ubuntu.
https://bugs.launchpad.net/bugs/1861230

Title:
  _sasl_plugin_load failed

Status in cyrus-sasl2 package in Ubuntu:
  New

Bug description:
  We are seeing the following in the journal after upgrading to these
  sets of packages:

  libsasl2-2/bionic-updates,bionic-security 2.1.27~101-g0780600+dfsg-3ubuntu2.1 
amd64
  libsasl2-modules/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64
  libsasl2-modules-db/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64 
  libsasl2-modules-gssapi-mit/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 

  Here are the errors:

  Jan 28 15:58:43 my-hostname sssd[20949]: Starting up
  Jan 28 15:58:43 my-hostname sssd[be[20950]: Starting up
  Jan 28 15:58:43 my-hostname sssd_be[20950]: ldapdb
  Jan 28 15:58:43 my-hostname sssd_be[20950]: _sasl_plugin_load failed on 
sasl_canonuser_init
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cyrus-sasl2/+bug/1861230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861230] Re: _sasl_plugin_load failed

2020-01-29 Thread Jim Campbell
Before I continue - I want to say thanks for your response to this
report. I appreciate your effort and help.

As for the issue, when I say, "If I only install the latest packages" I
mean a fully up-to-date system at the time of install, including sssd
version 1.16.1-1ubuntu1.4. As part of my testing, I always used sssd
version 1.16.1-1ubuntu1.4 (even when I downgraded / upgraded the
referenced libsasl packages (libsasl2-2, libsasl2-modules-db,
libsasl2-modules, libsasl2-modules-gssapi-mit).

In terms of back-end, we use Windows AD.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cyrus-sasl2 in Ubuntu.
https://bugs.launchpad.net/bugs/1861230

Title:
  _sasl_plugin_load failed

Status in cyrus-sasl2 package in Ubuntu:
  New

Bug description:
  We are seeing the following in the journal after upgrading to these
  sets of packages:

  libsasl2-2/bionic-updates,bionic-security 2.1.27~101-g0780600+dfsg-3ubuntu2.1 
amd64
  libsasl2-modules/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64
  libsasl2-modules-db/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64 
  libsasl2-modules-gssapi-mit/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 

  Here are the errors:

  Jan 28 15:58:43 my-hostname sssd[20949]: Starting up
  Jan 28 15:58:43 my-hostname sssd[be[20950]: Starting up
  Jan 28 15:58:43 my-hostname sssd_be[20950]: ldapdb
  Jan 28 15:58:43 my-hostname sssd_be[20950]: _sasl_plugin_load failed on 
sasl_canonuser_init
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cyrus-sasl2/+bug/1861230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861230] Re: _sasl_plugin_load failed

2020-01-29 Thread Jim Campbell
... I tried this following Leonidas' (leosilvab) request to "Could you
downgrade to the previous version and check if it happens there too? And
so re upgrade and re-test?"

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cyrus-sasl2 in Ubuntu.
https://bugs.launchpad.net/bugs/1861230

Title:
  _sasl_plugin_load failed

Status in cyrus-sasl2 package in Ubuntu:
  New

Bug description:
  We are seeing the following in the journal after upgrading to these
  sets of packages:

  libsasl2-2/bionic-updates,bionic-security 2.1.27~101-g0780600+dfsg-3ubuntu2.1 
amd64
  libsasl2-modules/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64
  libsasl2-modules-db/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64 
  libsasl2-modules-gssapi-mit/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 

  Here are the errors:

  Jan 28 15:58:43 my-hostname sssd[20949]: Starting up
  Jan 28 15:58:43 my-hostname sssd[be[20950]: Starting up
  Jan 28 15:58:43 my-hostname sssd_be[20950]: ldapdb
  Jan 28 15:58:43 my-hostname sssd_be[20950]: _sasl_plugin_load failed on 
sasl_canonuser_init
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cyrus-sasl2/+bug/1861230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861230] Re: _sasl_plugin_load failed

2020-01-29 Thread Jim Campbell
If I only install the latest packages (without the earlier versions of
these packages being installed previously) (i.e., if I do a clean
install of the most current packages when deploying a new host), it does
not work.

If I downgrade the packages to the prior versions, and then upgrade the
packages to their latest versions, it does work.

To me, this is repeatable.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cyrus-sasl2 in Ubuntu.
https://bugs.launchpad.net/bugs/1861230

Title:
  _sasl_plugin_load failed

Status in cyrus-sasl2 package in Ubuntu:
  New

Bug description:
  We are seeing the following in the journal after upgrading to these
  sets of packages:

  libsasl2-2/bionic-updates,bionic-security 2.1.27~101-g0780600+dfsg-3ubuntu2.1 
amd64
  libsasl2-modules/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64
  libsasl2-modules-db/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64 
  libsasl2-modules-gssapi-mit/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 

  Here are the errors:

  Jan 28 15:58:43 my-hostname sssd[20949]: Starting up
  Jan 28 15:58:43 my-hostname sssd[be[20950]: Starting up
  Jan 28 15:58:43 my-hostname sssd_be[20950]: ldapdb
  Jan 28 15:58:43 my-hostname sssd_be[20950]: _sasl_plugin_load failed on 
sasl_canonuser_init
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cyrus-sasl2/+bug/1861230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861230] Re: _sasl_plugin_load failed

2020-01-29 Thread Jim Campbell
After allowing the packages to be upgraded to their newer versions, the
problem does _not_ persist. We see expected / desired results.

We only get a good outcome after the packages have been upgraded,
though. When the packages are installed as the initial versions ... that
is when we consistently see the issue.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cyrus-sasl2 in Ubuntu.
https://bugs.launchpad.net/bugs/1861230

Title:
  _sasl_plugin_load failed

Status in cyrus-sasl2 package in Ubuntu:
  New

Bug description:
  We are seeing the following in the journal after upgrading to these
  sets of packages:

  libsasl2-2/bionic-updates,bionic-security 2.1.27~101-g0780600+dfsg-3ubuntu2.1 
amd64
  libsasl2-modules/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64
  libsasl2-modules-db/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64 
  libsasl2-modules-gssapi-mit/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 

  Here are the errors:

  Jan 28 15:58:43 my-hostname sssd[20949]: Starting up
  Jan 28 15:58:43 my-hostname sssd[be[20950]: Starting up
  Jan 28 15:58:43 my-hostname sssd_be[20950]: ldapdb
  Jan 28 15:58:43 my-hostname sssd_be[20950]: _sasl_plugin_load failed on 
sasl_canonuser_init
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cyrus-sasl2/+bug/1861230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861230] Re: _sasl_plugin_load failed

2020-01-29 Thread Jim Campbell
I will try updating the packages to their current-released versions and
see if the problem persists. We ran into this issue across several 18.04
deployments yesterday, though. It prevented commands like `id -u
username` from working (at least that is how we initially noticed a
problem).

I'll revert my work-arounds, update the affected packages, and will
report-back shortly, though.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cyrus-sasl2 in Ubuntu.
https://bugs.launchpad.net/bugs/1861230

Title:
  _sasl_plugin_load failed

Status in cyrus-sasl2 package in Ubuntu:
  New

Bug description:
  We are seeing the following in the journal after upgrading to these
  sets of packages:

  libsasl2-2/bionic-updates,bionic-security 2.1.27~101-g0780600+dfsg-3ubuntu2.1 
amd64
  libsasl2-modules/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64
  libsasl2-modules-db/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64 
  libsasl2-modules-gssapi-mit/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 

  Here are the errors:

  Jan 28 15:58:43 my-hostname sssd[20949]: Starting up
  Jan 28 15:58:43 my-hostname sssd[be[20950]: Starting up
  Jan 28 15:58:43 my-hostname sssd_be[20950]: ldapdb
  Jan 28 15:58:43 my-hostname sssd_be[20950]: _sasl_plugin_load failed on 
sasl_canonuser_init
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cyrus-sasl2/+bug/1861230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861230] Re: _sasl_plugin_load failed

2020-01-29 Thread Jim Campbell
We are using SSSD version 1.16.1-1ubuntu1.4 on Ubuntu 18.04.3. The
package itself is from the standard Ubuntu repos.

$ dpkg -s sssd

Package: sssd
Status: install ok installed
Priority: extra
Section: metapackages
Installed-Size: 32
Maintainer: Ubuntu Developers 
Architecture: amd64
Multi-Arch: foreign
Version: 1.16.1-1ubuntu1.4

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cyrus-sasl2 in Ubuntu.
https://bugs.launchpad.net/bugs/1861230

Title:
  _sasl_plugin_load failed

Status in cyrus-sasl2 package in Ubuntu:
  New

Bug description:
  We are seeing the following in the journal after upgrading to these
  sets of packages:

  libsasl2-2/bionic-updates,bionic-security 2.1.27~101-g0780600+dfsg-3ubuntu2.1 
amd64
  libsasl2-modules/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64
  libsasl2-modules-db/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64 
  libsasl2-modules-gssapi-mit/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 

  Here are the errors:

  Jan 28 15:58:43 my-hostname sssd[20949]: Starting up
  Jan 28 15:58:43 my-hostname sssd[be[20950]: Starting up
  Jan 28 15:58:43 my-hostname sssd_be[20950]: ldapdb
  Jan 28 15:58:43 my-hostname sssd_be[20950]: _sasl_plugin_load failed on 
sasl_canonuser_init
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cyrus-sasl2/+bug/1861230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861230] Re: _sasl_plugin_load failed

2020-01-29 Thread Jim Campbell
When downgrading to the prior package, we do not see this problem.
We've taken the following steps as a work-around:

- apt-get -y --allow-downgrades install libsasl2-2=2.1.26.dfsg1-14build1
- apt-get -y --allow-downgrades install 
libsasl2-modules-db=2.1.26.dfsg1-14build1
- apt-get -y --allow-downgrades install libsasl2-modules=2.1.26.dfsg1-14build1
- apt-get -y --allow-downgrades install 
libsasl2-modules-gssapi-mit=2.1.26.dfsg1-14build1

Then we've used apt-pinning to pin those versions:

Package: libsasl2-2
Pin: release o=Ubuntu version 2.1.26.dfsg1-14build1
Pin-Priority: 999

Package: libsasl2-modules
Pin: release o=Ubuntu version 2.1.26.dfsg1-14build1
Pin-Priority: 999

Package: libsasl2-modules-db
Pin: release o=Ubuntu version 2.1.26.dfsg1-14build1
Pin-Priority: 999

Package: libsasl2-modules-gssapi-mit
Pin: release o=Ubuntu version 2.1.26.dfsg1-14build1
Pin-Priority: 999

And we've used a hold to (temporarily) keep them from being upgraded:

echo  hold | sudo dpkg --set-selections

... We've done that for each of the four above packages. Going this
route does prevent the issue for now / keeps SSSD from failing.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cyrus-sasl2 in Ubuntu.
https://bugs.launchpad.net/bugs/1861230

Title:
  _sasl_plugin_load failed

Status in cyrus-sasl2 package in Ubuntu:
  New

Bug description:
  We are seeing the following in the journal after upgrading to these
  sets of packages:

  libsasl2-2/bionic-updates,bionic-security 2.1.27~101-g0780600+dfsg-3ubuntu2.1 
amd64
  libsasl2-modules/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64
  libsasl2-modules-db/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64 
  libsasl2-modules-gssapi-mit/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 

  Here are the errors:

  Jan 28 15:58:43 my-hostname sssd[20949]: Starting up
  Jan 28 15:58:43 my-hostname sssd[be[20950]: Starting up
  Jan 28 15:58:43 my-hostname sssd_be[20950]: ldapdb
  Jan 28 15:58:43 my-hostname sssd_be[20950]: _sasl_plugin_load failed on 
sasl_canonuser_init
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cyrus-sasl2/+bug/1861230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861230] [NEW] _sasl_plugin_load failed

2020-01-28 Thread Jim Campbell
Public bug reported:

We are seeing the following in the journal after upgrading to these sets
of packages:

libsasl2-2/bionic-updates,bionic-security 2.1.27~101-g0780600+dfsg-3ubuntu2.1 
amd64
libsasl2-modules/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64
libsasl2-modules-db/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64 
libsasl2-modules-gssapi-mit/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 

Here are the errors:

Jan 28 15:58:43 my-hostname sssd[20949]: Starting up
Jan 28 15:58:43 my-hostname sssd[be[20950]: Starting up
Jan 28 15:58:43 my-hostname sssd_be[20950]: ldapdb
Jan 28 15:58:43 my-hostname sssd_be[20950]: _sasl_plugin_load failed on 
sasl_canonuser_init
Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found

** Affects: cyrus-sasl2 (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cyrus-sasl2 in Ubuntu.
https://bugs.launchpad.net/bugs/1861230

Title:
  _sasl_plugin_load failed

Status in cyrus-sasl2 package in Ubuntu:
  New

Bug description:
  We are seeing the following in the journal after upgrading to these
  sets of packages:

  libsasl2-2/bionic-updates,bionic-security 2.1.27~101-g0780600+dfsg-3ubuntu2.1 
amd64
  libsasl2-modules/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64
  libsasl2-modules-db/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 amd64 
  libsasl2-modules-gssapi-mit/bionic-updates,bionic-security 
2.1.27~101-g0780600+dfsg-3ubuntu2.1 

  Here are the errors:

  Jan 28 15:58:43 my-hostname sssd[20949]: Starting up
  Jan 28 15:58:43 my-hostname sssd[be[20950]: Starting up
  Jan 28 15:58:43 my-hostname sssd_be[20950]: ldapdb
  Jan 28 15:58:43 my-hostname sssd_be[20950]: _sasl_plugin_load failed on 
sasl_canonuser_init
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found
  Jan 28 15:58:43 my-hostname sssd[be[20950]: No worthy mechs found

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cyrus-sasl2/+bug/1861230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1860230] Re: Resolution incorrect after updating kernel to 5.3

2020-01-18 Thread Jim Roberts
Bug also affects me:
VGA compatible controller: NVIDIA Corporation GF106GL [Quadro 2000] (rev a1)

I was running dual monitors.
After reboot second monitor is not recognized.
Primary monitor displays as 'Default'.  Only one resolution setting is available
I have Driver nvidia-driver-390 (proprietary tested) selected

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1860230

Title:
  Resolution incorrect after updating kernel to 5.3

Status in xorg package in Ubuntu:
  Confirmed

Bug description:
  Updated kernel from 5.0 to 5.3. After reboot, resolution appears to be
  something like 640 x 480. Accessed (with difficulty) display settings.
  Monitor is shown as unknown device. Tried reinstalling kernel, problem
  remains. Can still boot successfully into previous kernel.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  ProcVersionSignature: Ubuntu 5.3.0-26.28~18.04.1-generic 5.3.13
  Uname: Linux 5.3.0-26-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.9
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CompizPlugins: 
[core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,staticswitcher,workarounds,scale,expo,ezoom,dbus]
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Jan 18 18:56:45 2020
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GconfCompiz:
   /apps/compiz-1/general:
 /apps/compiz-1/general/screen0:
  /apps/compiz-1/general/screen0/options:
   active_plugins = 
[core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,staticswitcher,workarounds,scale,expo,ezoom,dbus]
  GraphicsCard:
   NVIDIA Corporation GK208B [GeForce GT 710] [10de:128b] (rev a1) (prog-if 00 
[VGA controller])
 Subsystem: eVga.com. Corp. GK208B [GeForce GT 710] [3842:2710]
  InstallationDate: Installed on 2018-08-02 (533 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  Lsusb:
   Bus 001 Device 004: ID 046d:c52b Logitech, Inc. Unifying Receiver
   Bus 001 Device 003: ID 050d:0234 Belkin Components F5U234 USB 2.0 4-Port Hub
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
   Bus 002 Device 002: ID 046d:c316 Logitech, Inc. HID-Compliant Keyboard
   Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
  MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
  ProcEnviron:
   LANGUAGE=en_GB:en
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_GB.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.3.0-26-generic 
root=UUID=b6d36306-de29-4163-9a21-ced3e7dfe6dc ro quiet splash vt.handoff=1
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 09/19/2011
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P1.60
  dmi.board.name: N68C-S UCC
  dmi.board.vendor: ASRock
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP1.60:bd09/19/2011:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnN68C-SUCC:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: To Be Filled By O.E.M.
  dmi.product.sku: To Be Filled By O.E.M.
  dmi.product.version: To Be Filled By O.E.M.
  dmi.sys.vendor: To Be Filled By O.E.M.
  version.compiz: compiz 1:0.9.13.1+18.04.20180302-0ubuntu1
  version.libdrm2: libdrm2 2.4.99-1ubuntu1~18.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.2.1-1ubuntu1~18.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx 19.2.1-1ubuntu1~18.04.1
  version.xserver-xorg-core: xserver-xorg-core N/A
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1860230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1795852] Re: "systemd-resolve --status" reports "Failed to get global data: Unit dbus-org.freedesktop.resolve1.service not found."

2020-01-10 Thread Jim Baxter
This happened to me when I upgraded from 16.04 LTS to 18.04 LTS, I
noticed error dialog boxes during the install but unsure if they are
related.


The /etc/resolv.conf contained:

# Generated by NetworkManager
search lan
nameserver 127.0.0.53


I compared it to a fresh install of 18.04 and this had /etc/resolv.conf
as a symlink pointing to /run/systemd/resolve/stub-resolv.conf, so I
modified the broken system with these commands.

sudo mv /etc/resolv.conf /etc/resolv.conf.bak
sudo ln -s /run/systemd/resolve/stub-resolv.conf /etc/resolv.conf

But this did not work.


I then found that the broken system had the package resolvconf installed that 
is not installed on the new 18.04 installation so I removed it with the command:

sudo apt purge resolvconf


After a reboot my networking now works though the /etc/resolv.conf
symlink has become a file again containing:

# Generated by NetworkManager
search lan
nameserver 192.168.1.1


The command systemd-resolve --status still fails with the error:
Failed to get global data: Unit dbus-org.freedesktop.resolve1.service not found.

So I suspect this is not a correct fix but more of an accidental
workaround.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1795852

Title:
  "systemd-resolve --status" reports "Failed to get global data: Unit
  dbus-org.freedesktop.resolve1.service not found."

Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  "systemd-resolve --status" reports "Failed to get global data: Unit
  dbus-org.freedesktop.resolve1.service not found."

  -> resolv.conf only holds two lines:
  --- snip

  nameserver 127.0.0.1
  --- snap

  and "host google.com" leads to
  Host google.com not found: 5(REFUSED)

  dnsmasq is running, but does not know whom to query upstream, because
  "/etc/resolv.conf" only holds the local address.

  "/etc/resolv.conf" is created by "resolvconf". Systems address is
  assigned by dhclient.

  "/etc/dhcp/dhclient.conf" holds:
  --- snip
  option rfc3442-classless-static-routes code 121 = array of unsigned integer 8;

  send host-name = gethostname();
  request subnet-mask, broadcast-address, time-offset, routers,
  domain-name, domain-name-servers, domain-search, host-name,
  dhcp6.name-servers, dhcp6.domain-search, dhcp6.fqdn, 
dhcp6.sntp-servers,
  netbios-name-servers, netbios-scope, interface-mtu,
  rfc3442-classless-static-routes, ntp-servers;
  timeout 300;
  --- snap

  There are three instances of dnsmasq started:
  --- snip
   7272 ?S  0:00 /usr/sbin/dnsmasq -x /run/dnsmasq/dnsmasq.pid -u 
dnsmasq -r /run/dnsmasq/resolv.conf -7 
/etc/dnsmasq.d,.dpkg-dist,.dpkg-old,.dpkg-new --local-service 
--trust-anchor=.,19036,8,2,49aac11d7b6f6446702e54a1607371607a1a41855200fd2ce1cdde32f24e8fb5
 
--trust-anchor=.,20326,8,2,e06d44b80b8f1d39a95c0b0d7c65d08458e880409bbc683457104237c7f8ec8d
   7838 ?S  0:00 /usr/sbin/dnsmasq 
--conf-file=/var/lib/libvirt/dnsmasq/default.conf --leasefile-ro 
--dhcp-script=/usr/lib/libvirt/libvirt_leaseshelper
   7839 ?S  0:00  \_ /usr/sbin/dnsmasq 
--conf-file=/var/lib/libvirt/dnsmasq/default.conf --leasefile-ro 
--dhcp-script=/usr/lib/libvirt/libvirt_leaseshelper
  --- snap

  "/etc/network/interaces" holds:
  --- snip
  # Local loopback
  auto lo
  iface lo inet loopback
  --- snap

  What I'd expected after upgrading: working network config with a
  working "/etc/resolv.conf"!

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: systemd 237-3ubuntu10.3
  ProcVersionSignature: Ubuntu 4.4.0-137.163-generic 4.4.144
  Uname: Linux 4.4.0-137-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.4
  Architecture: amd64
  Date: Wed Oct  3 11:57:42 2018
  InstallationDate: Installed on 2011-10-19 (2540 days ago)
  InstallationMedia: Xubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
  MachineType: Acer TravelMate P643-M
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-137-generic 
root=/dev/mapper/vg-root ro elevator=deadline splash acpi=force reboot=bios 
ipv6.disable=1 vt.handoff=1
  SourcePackage: systemd
  UpgradeStatus: Upgraded to bionic on 2018-10-02 (1 days ago)
  dmi.bios.date: 10/21/2013
  dmi.bios.vendor: Phoenix Technologies Ltd.
  dmi.bios.version: V2.15
  dmi.board.asset.tag: No Asset Tag
  dmi.board.name: TravelMate P643-M
  dmi.board.vendor: Acer
  dmi.board.version: V2.15
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 9
  dmi.chassis.vendor: Acer
  dmi.chassis.version: V2.15
  dmi.modalias: 
dmi:bvnPhoenixTechnologiesLtd.:bvrV2.15:bd10/21/2013:svnAcer:pnTravelMateP643-M:pvrV2.15:rvnAcer:rnTravelMateP643-M:rvrV2.15:cvnAcer:ct9:cvrV2.15:
  dmi.product.name: TravelMate P643-M
  dmi.product.version: V2.15
  dmi.sys.vendor: Acer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1795852/+subscriptions

-- 
Mailing list: 

[Touch-packages] [Bug 1574324] Re: pulseaudio crashes when connecting to bluetooth headphones (due to ubuntu changes?)

2019-10-17 Thread Jim Hobbs
I found this thread via Google, trying to fix the Bluetooth pairing of
my Bose QC35 (version 1) running Ubuntu 16.0.4.6 on a ThinkPad X230.
Whilst trying out a few things I managed to solve my problem by
temporarily disabling my VPN. Might have been a random coincidence but I
wanted to leave this here in case it helped others. Worth a try anyway
:)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1574324

Title:
  pulseaudio crashes when connecting to bluetooth headphones (due to
  ubuntu changes?)

Status in pulseaudio package in Ubuntu:
  Fix Released
Status in pulseaudio source package in Xenial:
  Fix Released
Status in pulseaudio source package in Yakkety:
  Fix Released

Bug description:
  Impact:

  A patch we carry for Ubuntu touch introduced a change that originally
  was required to make sure PulseAudio did not crash. This patch was
  ported to PulseAudio 8 in Xenial, but the patch author's bluetooth
  hardware that was to hand at the time worked so was assumed to be ok.
  However, the opposite is now happening, i.e PulseAudio is crashing
  with a subset of Bluetooth hardware.

  Regression potential:

  Very low to none. As can be read in this report, much debugging and
  testing has been done to find the problem, and the eventual fix.
  Moreover the change is the removal of a patch hunk that removed a line
  of code originally present in PulseAudio.

  Test case:

  NOTE that this test case applies to bluetooth hardware that is
  identified as not working in this bug report.

  1. Install, or upgrade to Xenial or yakkety.
  2. Pair your bluetooth device in the bluetooth settings in the relevant 
settings application for your desktop environment.
  3. Once paired, you will notice that sound stops working, as pulseaudio has 
thrown an assertion error.
  4. You do not have to remove your audio device from the paired device list, 
but it may be easier to do so for the next part of the testing.
  5. Update to the version of PulseAudio in xenial-proposed which is 
1:8.0-0ubuntu3.1, or in yakkety-proposed, which is 1:9.0-2ubuntu2.1.
  6. Re-pair your device. Audio should continue to work, and you should be able 
to switch to your bluetooth device and use it.

  
  Original bug report:

  When I attempt to connect my Jaybird Bluebuds X to Ubuntu 16.04
  pulseaudio crashes, this does *NOT* happen with a Jambox which leads
  me to believe it's an intermittent problem with some hardware. This
  did not happen on Ubuntu 15.10 (which was an upgrade of 15.04).

  Ubuntu Release:

  Description:  Ubuntu 16.04 LTS
  Release:  16.04

  Pulseaudio Version:

  pulseaudio:
    Installed: 1:8.0-0ubuntu3
    Candidate: 1:8.0-0ubuntu3
    Version table:
   *** 1:8.0-0ubuntu3 500
  500 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  100 /var/lib/dpkg/status

  Device info:

  [bluetooth]# info 44:5E:F3:B4:07:29
  Device 44:5E:F3:B4:07:29
   Name: BlueBuds X
   Alias: BlueBuds X
   Class: 0x240404
   Icon: audio-card
   Paired: yes
   Trusted: yes
   Blocked: no
   Connected: no
   LegacyPairing: no
   UUID: Headset   (1108--1000-8000-00805f9b34fb)
   UUID: Audio Sink(110b--1000-8000-00805f9b34fb)
   UUID: A/V Remote Control Target (110c--1000-8000-00805f9b34fb)
   UUID: A/V Remote Control(110e--1000-8000-00805f9b34fb)
   UUID: Handsfree (111e--1000-8000-00805f9b34fb)
   UUID: Unknown   (80ff--1000-8000-00805f9b34fb)

  I have also attached a debug dump of Pulseaudio when attempting to
  connect to the headphones.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1574324/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1837821] Re: [HP Spectre x360 Convertible 15-df0xxx, Realtek ALC285, Black Mic, Left] Recording problem

2019-08-12 Thread Jim
Looks like the same issue I'm having on Thinkpad X1 Carbon 7th Gen
running Ubuntu 19.04.

Debug output here:
http://alsa-project.org/db/?f=5c09dfb7b0fc0ff5ad32c0576893316f5613d3a1

As well as the Mic not being detected, and therefore not available for
use in any applications, there is an issue with the master audio volume
being either full-on or muted.  individual mixer controls still work,
but the main volume control does nothing other than mute the audio.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1837821

Title:
  [HP Spectre x360 Convertible 15-df0xxx, Realtek ALC285, Black Mic,
  Left] Recording problem

Status in alsa-driver package in Ubuntu:
  Confirmed

Bug description:
  Running Ubuntu 18.04.2 LTS. The built in microphone is not displayed
  and not available to select. The webcam, touchscreen, and speakers all
  work fine. Plugging in a headset with a microphone does allow audio to
  be heard through the external microphone.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.18.0-25.26~18.04.1-generic 4.18.20
  Uname: Linux 4.18.0-25-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.9-0ubuntu7.7
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  carwyn 2521 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Jul 24 20:57:51 2019
  InstallationDate: Installed on 2019-07-22 (3 days ago)
  InstallationMedia: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 
(20190210)
  PackageArchitecture: all
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaRecordingTest: ALSA recording test through plughw:PCH failed
  Symptom_Card: Built-in Audio - HDA Intel PCH
  Symptom_Jack: Black Mic, Left
  Symptom_Type: None of the above
  Title: [HP Spectre x360 Convertible 15-df0xxx, Realtek ALC285, Black Mic, 
Left] Recording problem
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 04/22/2019
  dmi.bios.vendor: AMI
  dmi.bios.version: F.29
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: 8518
  dmi.board.vendor: HP
  dmi.board.version: 10.47
  dmi.chassis.type: 31
  dmi.chassis.vendor: HP
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnAMI:bvrF.29:bd04/22/2019:svnHP:pnHPSpectrex360Convertible15-df0xxx:pvr:rvnHP:rn8518:rvr10.47:cvnHP:ct31:cvrChassisVersion:
  dmi.product.family: 103C_5335KV HP Spectre
  dmi.product.name: HP Spectre x360 Convertible 15-df0xxx
  dmi.product.sku: 6JY95UA#ABA
  dmi.sys.vendor: HP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1837821/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1829110] [NEW] package sudo 1.8.16-0ubuntu1.6 failed to install/upgrade: subprocess installed pre-removal script returned error exit status 1

2019-05-14 Thread Jim Rasmussen
Public bug reported:

I just cant figure it out.

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: sudo 1.8.16-0ubuntu1.6
ProcVersionSignature: Ubuntu 4.10.0-28.32~16.04.2-generic 4.10.17
Uname: Linux 4.10.0-28-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.18
Architecture: amd64
Date: Tue May 14 21:30:07 2019
ErrorMessage: subprocess installed pre-removal script returned error exit 
status 1
InstallationDate: Installed on 2019-04-23 (21 days ago)
InstallationMedia: Ubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64 (20170801)
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.2
 apt  1.2.29ubuntu0.1
SourcePackage: sudo
Title: package sudo 1.8.16-0ubuntu1.6 failed to install/upgrade: subprocess 
installed pre-removal script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)
VisudoCheck:
 /etc/sudoers: parsed OK
 /etc/sudoers.d/README: parsed OK

** Affects: sudo (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to sudo in Ubuntu.
https://bugs.launchpad.net/bugs/1829110

Title:
  package sudo 1.8.16-0ubuntu1.6 failed to install/upgrade: subprocess
  installed pre-removal script returned error exit status 1

Status in sudo package in Ubuntu:
  New

Bug description:
  I just cant figure it out.

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: sudo 1.8.16-0ubuntu1.6
  ProcVersionSignature: Ubuntu 4.10.0-28.32~16.04.2-generic 4.10.17
  Uname: Linux 4.10.0-28-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: amd64
  Date: Tue May 14 21:30:07 2019
  ErrorMessage: subprocess installed pre-removal script returned error exit 
status 1
  InstallationDate: Installed on 2019-04-23 (21 days ago)
  InstallationMedia: Ubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64 
(20170801)
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.2
   apt  1.2.29ubuntu0.1
  SourcePackage: sudo
  Title: package sudo 1.8.16-0ubuntu1.6 failed to install/upgrade: subprocess 
installed pre-removal script returned error exit status 1
  UpgradeStatus: No upgrade log present (probably fresh install)
  VisudoCheck:
   /etc/sudoers: parsed OK
   /etc/sudoers.d/README: parsed OK

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sudo/+bug/1829110/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1282294] Re: "Cannot open pixbuf loader module file"

2019-03-04 Thread Jim Tsillas
I see this error in 18.04. The error recommends I try running a command

$ InstrumentationBrowser

(InstrumentationBrowser:24156): GdkPixbuf-WARNING **: 15:24:47.916:
Cannot open pixbuf loader module file '/usr/lib64/gdk-
pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.
$ sudo gdk-pixbuf-query-loaders > /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders.cache
bash: /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders.cache: No such file or directory
$

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gdk-pixbuf in Ubuntu.
https://bugs.launchpad.net/bugs/1282294

Title:
  "Cannot open pixbuf loader module file"

Status in gdk-pixbuf package in Ubuntu:
  Triaged
Status in gdk-pixbuf package in Debian:
  New

Bug description:
  While doing testing on trusty, I keep finding errors like the
  following in my apt-get -u dist-upgrade output:

  Preparing to unpack 
.../indicator-printers_0.1.7+14.04.20140213-0ubuntu1_amd64.deb ...
  Unpacking indicator-printers (0.1.7+14.04.20140213-0ubuntu1) over 
(0.1.7daily13.03.01-0ubuntu1) ...

  (gtk-update-icon-cache-3.0:29671): GdkPixbuf-WARNING **: Cannot open
  pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-
  pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

  This likely means that your installation is broken.
  Try running the command
gdk-pixbuf-query-loaders > 
/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
  to make things work again for the time being.

  (gtk-update-icon-cache-3.0:29672): GdkPixbuf-WARNING **: Cannot open
  pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-
  pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

  This likely means that your installation is broken.
  Try running the command
gdk-pixbuf-query-loaders > 
/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
  to make things work again for the time being.
  ...
  Processing triggers for hicolor-icon-theme (0.13-1) ...

  (gtk-update-icon-cache-3.0:32198): GdkPixbuf-WARNING **: Cannot open
  pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-
  pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

  This likely means that your installation is broken.
  Try running the command
gdk-pixbuf-query-loaders > 
/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
  to make things work again for the time being.

  
  These errors make it difficult to look for errors that I might have 
introduced in my own packages and if they persist in our final product will 
make users wonder what is broken and why it is broken.

  sarnold@sec-trusty-amd64:~$ lsb_release -rd
  Description:  Ubuntu Trusty Tahr (development branch)
  Release:  14.04
  sarnold@sec-trusty-amd64:~$ dpkg -S gdk-pixbuf-query-loaders
  libgdk-pixbuf2.0-0:amd64: 
/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders
  sarnold@sec-trusty-amd64:~$ apt-cache policy libgdk-pixbuf2.0-0
  libgdk-pixbuf2.0-0:
Installed: 2.30.5-0ubuntu1
Candidate: 2.30.5-0ubuntu1
Version table:
   *** 2.30.5-0ubuntu1 0
  500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
  100 /var/lib/dpkg/status
  sarnold@sec-trusty-amd64:~$ dpkg -S /usr/bin/gtk-update-icon-cache-3.0
  libgtk-3-bin: /usr/bin/gtk-update-icon-cache-3.0
  sarnold@sec-trusty-amd64:~$ apt-cache policy libgtk-3-bin
  libgtk-3-bin:
Installed: 3.10.7-0ubuntu2
Candidate: 3.10.7-0ubuntu2
Version table:
   *** 3.10.7-0ubuntu2 0
  500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
  100 /var/lib/dpkg/status
  sarnold@sec-trusty-amd64:~$ 


  Thanks

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: libgtk-3-bin 3.10.7-0ubuntu2
  ProcVersionSignature: User Name 3.13.0-5.20-generic 3.13.0
  Uname: Linux 3.13.0-5-generic x86_64
  ApportVersion: 2.13.2-0ubuntu5
  Architecture: amd64
  Date: Wed Feb 19 14:38:47 2014
  InstallationDate: Installed on 2014-01-09 (41 days ago)
  InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140108)
  ProcEnviron:
   TERM=rxvt-unicode
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: gtk+3.0
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdk-pixbuf/+bug/1282294/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1809614] [NEW] Lubuntu 18.04 ICS not working

2018-12-23 Thread Jim Fisher
Public bug reported:

Description:Ubuntu 18.04.1 LTS
Release:18.04

network-manager:
  Installed: 1.10.6-2ubuntu1.1
  Candidate: 1.10.6-2ubuntu1.1
  Version table:
 *** 1.10.6-2ubuntu1.1 500
500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main amd64 
Packages
500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 
Packages
100 /var/lib/dpkg/status
 1.10.6-2ubuntu1 500
500 http://us.archive.ubuntu.com/ubuntu bionic/main amd64 Packages


ICS does NOT work.

** Affects: network-manager (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1809614

Title:
  Lubuntu 18.04 ICS not working

Status in network-manager package in Ubuntu:
  New

Bug description:
  Description:  Ubuntu 18.04.1 LTS
  Release:  18.04

  network-manager:
Installed: 1.10.6-2ubuntu1.1
Candidate: 1.10.6-2ubuntu1.1
Version table:
   *** 1.10.6-2ubuntu1.1 500
  500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main amd64 
Packages
  500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 
Packages
  100 /var/lib/dpkg/status
   1.10.6-2ubuntu1 500
  500 http://us.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

  
  ICS does NOT work.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1809614/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1768230] Re: Long time booting : Failed to connect to lvmetad. Falling back to device scanning.

2018-12-17 Thread Jim Campbell
I'm still on 18.04, but this problem remains for me, as well.

Grub with noresume doesn't work
RESUME=none doesn't work
RESUME=/dev/mapper/ubuntu-root doesn't work
RESUME=/dev/mapper/ubuntu-swap doesn't work

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1768230

Title:
  Long time booting : Failed to connect to lvmetad. Falling back to
  device scanning.

Status in initramfs-tools package in Ubuntu:
  Fix Released
Status in ubiquity package in Ubuntu:
  Fix Released
Status in initramfs-tools source package in Bionic:
  Confirmed

Bug description:
  [SRU Justification]
  A regression in initramfs-tools causes it to autogenerate config in the 
initramfs saying to resume from any available swap devices, but references the 
swap device by UUID, which is not a canonical form for referring to LVM volumes 
(because of snapshotting, they are not unique).  Ubiquity also generates a file 
in /etc at install time which references the swap partition in the same way.  
Since the lvm2 initramfs hooks also only activate precisely those LVs that are 
detected as needed at boot, this adds an inappropriate 30-second boot delay to 
any system with swap on LVM, which includes any desktop system that was 
configured with LVM (but not full-disk encryption) at install time.

  [Test case]
  1. Install using the "Use LVM" option in the desktop installer.
  4. Reboot.
  5. Verify that dmesg shows a 30-second delay before mounting the root 
filesystem.
  6. Install initramfs-tools from bionic-proposed.
  7. Reboot.
  8. Verify that dmesg no longer shows a 30-second delay before mounting the 
root filesystem.
  9. Install using the bionic daily image that contains the ubiquity from 
bionic-proposed.
  10. Reboot.
  11. Verify that /etc/initramfs-tools/conf.d/resume is not present and that 
there is no delay before mounting the root filesystem.

  [Regression potential]
  This makes changes to shell scripts, and shell is a perilous language. An 
unnoticed bug could cause all initramfs generation, and thus all kernel 
installation, to fail for some users. A regression could also cause a user to 
lose hiberation support that they currently have.

  [Original description]
  After choosing "Erase disk and install ubuntu" + "Use LVM with the new Ubuntu 
installation", the
  system is very slow to reboot.

  It shows the message : "WARNING:Failed to connect to lvmetad. Falling back to 
device scanning.",
  then waits 32 seconds, then continues as it should.

  I think this is a ubiquity bug, since the d-i based installer is not affected.
   - ubuntu-18.04-desktop-amd64.iso 
(a55353d837cbf7bc006cf49eeff05ae5044e757498e30643a9199b9a25bc9a34) : affected
   - xubuntu-18.04-desktop-amd64.iso 
(7c24318d3b1de1efd584b5aea034ce1aafd2d0f06c59812d989a5fc95bf947e3) : affected
   - ubuntu-18.04-server-amd64.iso 
(a7f5c7b0cdd0e9560d78f1e47660e066353bb8a79eb78d1fc3f4ea62a07e6cbc) : not 
affected

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1768230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1765304] Re: Ubuntu 18.04's ibus package breaks password fields in Firefox (by lowering & raising window whenever they're focused)

2018-11-09 Thread Jim Campbell
I've added a similar comment / request on this related launchpad bug:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1794655

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1765304

Title:
  Ubuntu 18.04's ibus package breaks password fields in Firefox (by
  lowering & raising window whenever they're focused)

Status in ibus package in Ubuntu:
  Confirmed

Bug description:
  tl;dr: starting in Ubuntu 18.04, "ibus" seems to lower and raise
  Firefox, whenever the user tries to focus an 
  field on a web page.  This is not a regression in Firefox, as the same
  Firefox version runs just fine in Ubuntu 17.10 -- it seems to be a bug
  in ibus, because it only happens (in 18.04) when the environmental
  variable GTK_IM_MODULE is at its default value (which is "ibus").  It
  had this same value in 17.10 but the bug didn't happen there; hence,
  I'm guessing there was a change in ibus (or a related package) that
  caused this breakage / lowering+raising.

  This is pretty bad, because in some cases, the focus-loss can mean users are 
simply unable to fill in password fields that previously were working fine. 
(see "ACTUAL RESULTS" below)
   
  STEPS TO REPRODUCE #1, via "BitWarden" Firefox extension:
  =
   1. Start Firefox. (fresh profile if you like)
   2. Install BitWarden from 
https://addons.mozilla.org/en-US/firefox/addon/bitwarden-password-manager/
   3. Click the BitWarden toolbar icon to spawn a menu-pane.
   4. Click "Log in" at the bottom of that pane.
   5. Click the "Master Password" field.

  ACTUAL RESULTS:
   The menu pane disappears as soon as the Master Password field receives focus.
  EXPECTED RESULTS:
   I should be able to type in a password; pane shouldn't disappear.

  
  STEPS TO REPRODUCE #2, via Reddit:
  =
   1. Visit https://www.reddit.com/r/firefox/ (or any reddit page)
   2. Click "Log in or sign up in seconds" at the extreme upper right of the 
page.
(click the "Log in" part of that sentence)
   3. Try to click the password field (or "tab" into it) and type in some text.

  ACTUAL RESULTS:
   Try as you might, the password field never receives focus.
  EXPECTED RESULTS:
   Password field should accept focus & let me type text into it.

  If I run firefox from the command line with env var GTK_IM_MODULE="",
  then I get "expected results".  But with the default value of that env
  var, I get "actual results" (broken behavior, unable to enter
  passwords).


  I initially reported this in Firefox, here:
  https://bugzilla.mozilla.org/show_bug.cgi?id=1451466 (with a few
  dependent bugs for the usage-specific STR quoted above).  But I think
  it's a bug in ibus, hence filing here now.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: ibus 1.5.17-3ubuntu3
  ProcVersionSignature: Ubuntu 4.15.0-15.16-generic 4.15.15
  Uname: Linux 4.15.0-15-generic x86_64
  ApportVersion: 2.20.9-0ubuntu5
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Apr 18 23:22:05 2018
  InstallationDate: Installed on 2018-04-17 (1 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180416)
  SourcePackage: ibus
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1765304/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1765304] Re: Ubuntu 18.04's ibus package breaks password fields in Firefox (by lowering & raising window whenever they're focused)

2018-11-09 Thread Jim Campbell
The patch to resolve this bug was just accepted to upstream gnome-shell
master: see https - gitlab.gnome dot org/GNOME/gnome-
shell/merge_requests/140  (For some reason launchpad is not letting me
submit a comment with a URL).

Might it be possible to back-port this patch to GNOME Shell 3.28 for
Bionic?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1765304

Title:
  Ubuntu 18.04's ibus package breaks password fields in Firefox (by
  lowering & raising window whenever they're focused)

Status in ibus package in Ubuntu:
  Confirmed

Bug description:
  tl;dr: starting in Ubuntu 18.04, "ibus" seems to lower and raise
  Firefox, whenever the user tries to focus an 
  field on a web page.  This is not a regression in Firefox, as the same
  Firefox version runs just fine in Ubuntu 17.10 -- it seems to be a bug
  in ibus, because it only happens (in 18.04) when the environmental
  variable GTK_IM_MODULE is at its default value (which is "ibus").  It
  had this same value in 17.10 but the bug didn't happen there; hence,
  I'm guessing there was a change in ibus (or a related package) that
  caused this breakage / lowering+raising.

  This is pretty bad, because in some cases, the focus-loss can mean users are 
simply unable to fill in password fields that previously were working fine. 
(see "ACTUAL RESULTS" below)
   
  STEPS TO REPRODUCE #1, via "BitWarden" Firefox extension:
  =
   1. Start Firefox. (fresh profile if you like)
   2. Install BitWarden from 
https://addons.mozilla.org/en-US/firefox/addon/bitwarden-password-manager/
   3. Click the BitWarden toolbar icon to spawn a menu-pane.
   4. Click "Log in" at the bottom of that pane.
   5. Click the "Master Password" field.

  ACTUAL RESULTS:
   The menu pane disappears as soon as the Master Password field receives focus.
  EXPECTED RESULTS:
   I should be able to type in a password; pane shouldn't disappear.

  
  STEPS TO REPRODUCE #2, via Reddit:
  =
   1. Visit https://www.reddit.com/r/firefox/ (or any reddit page)
   2. Click "Log in or sign up in seconds" at the extreme upper right of the 
page.
(click the "Log in" part of that sentence)
   3. Try to click the password field (or "tab" into it) and type in some text.

  ACTUAL RESULTS:
   Try as you might, the password field never receives focus.
  EXPECTED RESULTS:
   Password field should accept focus & let me type text into it.

  If I run firefox from the command line with env var GTK_IM_MODULE="",
  then I get "expected results".  But with the default value of that env
  var, I get "actual results" (broken behavior, unable to enter
  passwords).


  I initially reported this in Firefox, here:
  https://bugzilla.mozilla.org/show_bug.cgi?id=1451466 (with a few
  dependent bugs for the usage-specific STR quoted above).  But I think
  it's a bug in ibus, hence filing here now.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: ibus 1.5.17-3ubuntu3
  ProcVersionSignature: Ubuntu 4.15.0-15.16-generic 4.15.15
  Uname: Linux 4.15.0-15-generic x86_64
  ApportVersion: 2.20.9-0ubuntu5
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Apr 18 23:22:05 2018
  InstallationDate: Installed on 2018-04-17 (1 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180416)
  SourcePackage: ibus
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1765304/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1768230] Re: Long time booting : Failed to connect to lvmetad. Falling back to device scanning.

2018-10-07 Thread Jim Keller
Seems okay now, after typing exit and following the commands to run the
(fsck.ext4 /dev/mapper... something) command that it had listed and
following the prompt to fix.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1768230

Title:
  Long time booting : Failed to connect to lvmetad. Falling back to
  device scanning.

Status in initramfs-tools package in Ubuntu:
  Fix Released
Status in ubiquity package in Ubuntu:
  Fix Released
Status in initramfs-tools source package in Bionic:
  Confirmed

Bug description:
  [SRU Justification]
  A regression in initramfs-tools causes it to autogenerate config in the 
initramfs saying to resume from any available swap devices, but references the 
swap device by UUID, which is not a canonical form for referring to LVM volumes 
(because of snapshotting, they are not unique).  Ubiquity also generates a file 
in /etc at install time which references the swap partition in the same way.  
Since the lvm2 initramfs hooks also only activate precisely those LVs that are 
detected as needed at boot, this adds an inappropriate 30-second boot delay to 
any system with swap on LVM, which includes any desktop system that was 
configured with LVM (but not full-disk encryption) at install time.

  [Test case]
  1. Install using the "Use LVM" option in the desktop installer.
  4. Reboot.
  5. Verify that dmesg shows a 30-second delay before mounting the root 
filesystem.
  6. Install initramfs-tools from bionic-proposed.
  7. Reboot.
  8. Verify that dmesg no longer shows a 30-second delay before mounting the 
root filesystem.
  9. Install using the bionic daily image that contains the ubiquity from 
bionic-proposed.
  10. Reboot.
  11. Verify that /etc/initramfs-tools/conf.d/resume is not present and that 
there is no delay before mounting the root filesystem.

  [Regression potential]
  This makes changes to shell scripts, and shell is a perilous language. An 
unnoticed bug could cause all initramfs generation, and thus all kernel 
installation, to fail for some users. A regression could also cause a user to 
lose hiberation support that they currently have.

  [Original description]
  After choosing "Erase disk and install ubuntu" + "Use LVM with the new Ubuntu 
installation", the
  system is very slow to reboot.

  It shows the message : "WARNING:Failed to connect to lvmetad. Falling back to 
device scanning.",
  then waits 32 seconds, then continues as it should.

  I think this is a ubiquity bug, since the d-i based installer is not affected.
   - ubuntu-18.04-desktop-amd64.iso 
(a55353d837cbf7bc006cf49eeff05ae5044e757498e30643a9199b9a25bc9a34) : affected
   - xubuntu-18.04-desktop-amd64.iso 
(7c24318d3b1de1efd584b5aea034ce1aafd2d0f06c59812d989a5fc95bf947e3) : affected
   - ubuntu-18.04-server-amd64.iso 
(a7f5c7b0cdd0e9560d78f1e47660e066353bb8a79eb78d1fc3f4ea62a07e6cbc) : not 
affected

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1768230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1768230] Re: Long time booting : Failed to connect to lvmetad. Falling back to device scanning.

2018-10-07 Thread Jim Keller
Yes can’t boot into system after updating this morning.

Initramfs


Distributor ID: Ubuntu
Description: Ubuntu 18.04.1 LTS
Release: 18.04
Codename: bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1768230

Title:
  Long time booting : Failed to connect to lvmetad. Falling back to
  device scanning.

Status in initramfs-tools package in Ubuntu:
  Fix Released
Status in ubiquity package in Ubuntu:
  Fix Released
Status in initramfs-tools source package in Bionic:
  Confirmed

Bug description:
  [SRU Justification]
  A regression in initramfs-tools causes it to autogenerate config in the 
initramfs saying to resume from any available swap devices, but references the 
swap device by UUID, which is not a canonical form for referring to LVM volumes 
(because of snapshotting, they are not unique).  Ubiquity also generates a file 
in /etc at install time which references the swap partition in the same way.  
Since the lvm2 initramfs hooks also only activate precisely those LVs that are 
detected as needed at boot, this adds an inappropriate 30-second boot delay to 
any system with swap on LVM, which includes any desktop system that was 
configured with LVM (but not full-disk encryption) at install time.

  [Test case]
  1. Install using the "Use LVM" option in the desktop installer.
  4. Reboot.
  5. Verify that dmesg shows a 30-second delay before mounting the root 
filesystem.
  6. Install initramfs-tools from bionic-proposed.
  7. Reboot.
  8. Verify that dmesg no longer shows a 30-second delay before mounting the 
root filesystem.
  9. Install using the bionic daily image that contains the ubiquity from 
bionic-proposed.
  10. Reboot.
  11. Verify that /etc/initramfs-tools/conf.d/resume is not present and that 
there is no delay before mounting the root filesystem.

  [Regression potential]
  This makes changes to shell scripts, and shell is a perilous language. An 
unnoticed bug could cause all initramfs generation, and thus all kernel 
installation, to fail for some users. A regression could also cause a user to 
lose hiberation support that they currently have.

  [Original description]
  After choosing "Erase disk and install ubuntu" + "Use LVM with the new Ubuntu 
installation", the
  system is very slow to reboot.

  It shows the message : "WARNING:Failed to connect to lvmetad. Falling back to 
device scanning.",
  then waits 32 seconds, then continues as it should.

  I think this is a ubiquity bug, since the d-i based installer is not affected.
   - ubuntu-18.04-desktop-amd64.iso 
(a55353d837cbf7bc006cf49eeff05ae5044e757498e30643a9199b9a25bc9a34) : affected
   - xubuntu-18.04-desktop-amd64.iso 
(7c24318d3b1de1efd584b5aea034ce1aafd2d0f06c59812d989a5fc95bf947e3) : affected
   - ubuntu-18.04-server-amd64.iso 
(a7f5c7b0cdd0e9560d78f1e47660e066353bb8a79eb78d1fc3f4ea62a07e6cbc) : not 
affected

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1768230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1795654] [NEW] package systemd 229-4ubuntu21.4 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2018-10-02 Thread Jim Leedham
Public bug reported:

none

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: systemd 229-4ubuntu21.4
ProcVersionSignature: Ubuntu 3.13.0-160.210-generic 3.13.11-ckt39
Uname: Linux 3.13.0-160-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.29
Architecture: amd64
Date: Tue Oct  2 09:36:51 2018
DuplicateSignature: package:systemd:229-4ubuntu21.4:subprocess installed 
post-installation script returned error exit status 1
ErrorMessage: subprocess installed post-installation script returned error exit 
status 1
InstallationDate: Installed on 2014-04-18 (1627 days ago)
InstallationMedia:
 
Lsusb: Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: DigitalOcean Droplet
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-160-generic 
root=UUID=050e1e34-39e6-4072-a03e-ae0bf90ba13a ro
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.4
 apt  1.0.1ubuntu2.18
SourcePackage: systemd
SystemdDelta:
 [EXTENDED]   /lib/systemd/system/systemd-timesyncd.service → 
/lib/systemd/system/systemd-timesyncd.service.d/disable-with-time-daemon.conf
 [EXTENDED]   /lib/systemd/system/systemd-resolved.service → 
/lib/systemd/system/systemd-resolved.service.d/resolvconf.conf
 [EXTENDED]   /lib/systemd/system/rc-local.service → 
/lib/systemd/system/rc-local.service.d/debian.conf
 
 3 overridden configuration files found.
Title: package systemd 229-4ubuntu21.4 failed to install/upgrade: subprocess 
installed post-installation script returned error exit status 1
UpgradeStatus: Upgraded to xenial on 2018-10-02 (0 days ago)
dmi.bios.date: 12/12/2017
dmi.bios.vendor: DigitalOcean
dmi.bios.version: 20171212
dmi.chassis.type: 1
dmi.chassis.vendor: Bochs
dmi.modalias: 
dmi:bvnDigitalOcean:bvr20171212:bd12/12/2017:svnDigitalOcean:pnDroplet:pvr20171212:cvnBochs:ct1:cvr:
dmi.product.name: Droplet
dmi.product.version: 20171212
dmi.sys.vendor: DigitalOcean

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package third-party-packages uec-images xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1795654

Title:
  package systemd 229-4ubuntu21.4 failed to install/upgrade: subprocess
  installed post-installation script returned error exit status 1

Status in systemd package in Ubuntu:
  New

Bug description:
  none

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: systemd 229-4ubuntu21.4
  ProcVersionSignature: Ubuntu 3.13.0-160.210-generic 3.13.11-ckt39
  Uname: Linux 3.13.0-160-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.29
  Architecture: amd64
  Date: Tue Oct  2 09:36:51 2018
  DuplicateSignature: package:systemd:229-4ubuntu21.4:subprocess installed 
post-installation script returned error exit status 1
  ErrorMessage: subprocess installed post-installation script returned error 
exit status 1
  InstallationDate: Installed on 2014-04-18 (1627 days ago)
  InstallationMedia:
   
  Lsusb: Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
  MachineType: DigitalOcean Droplet
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-160-generic 
root=UUID=050e1e34-39e6-4072-a03e-ae0bf90ba13a ro
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.4
   apt  1.0.1ubuntu2.18
  SourcePackage: systemd
  SystemdDelta:
   [EXTENDED]   /lib/systemd/system/systemd-timesyncd.service → 
/lib/systemd/system/systemd-timesyncd.service.d/disable-with-time-daemon.conf
   [EXTENDED]   /lib/systemd/system/systemd-resolved.service → 
/lib/systemd/system/systemd-resolved.service.d/resolvconf.conf
   [EXTENDED]   /lib/systemd/system/rc-local.service → 
/lib/systemd/system/rc-local.service.d/debian.conf
   
   3 overridden configuration files found.
  Title: package systemd 229-4ubuntu21.4 failed to install/upgrade: subprocess 
installed post-installation script returned error exit status 1
  UpgradeStatus: Upgraded to xenial on 2018-10-02 (0 days ago)
  dmi.bios.date: 12/12/2017
  dmi.bios.vendor: DigitalOcean
  dmi.bios.version: 20171212
  dmi.chassis.type: 1
  dmi.chassis.vendor: Bochs
  dmi.modalias: 
dmi:bvnDigitalOcean:bvr20171212:bd12/12/2017:svnDigitalOcean:pnDroplet:pvr20171212:cvnBochs:ct1:cvr:
  dmi.product.name: Droplet
  dmi.product.version: 20171212
  dmi.sys.vendor: DigitalOcean

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1795654/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1228079] Re: Login issue: Lightdm + LDAP + Kerberos

2018-08-17 Thread jim koehler
** Changed in: lightdm (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lightdm in Ubuntu.
https://bugs.launchpad.net/bugs/1228079

Title:
  Login issue: Lightdm + LDAP + Kerberos

Status in lightdm package in Ubuntu:
  Fix Released

Bug description:
  lightdm 1.7.15-0ubuntu1, Ubuntu 13.10

  - Local users can login without problems on command line and LightDM
  - Kerberos/LDAP authenticated users can login on command line

  - Kerberos/LDAP authenticated users cannot login with LigthDM. If you
  provide a valid user/password the screen gets blank before you return
  to the login screen. The .xession-errors includes "/usr/sbin/lightdm-
  session: 5: exec: init: not found"

  - If you add init to the users path (e.g., ln -s /sbin/init /bin/init)
  the user does no longer return back to LightDM but gets a blank
  screen. Several errors related to "init" in the .xsession-errors.
  First of them is "init: Failed to spawn upstart-file-bridge main
  process: unable to execute: No such file or directory"

  .xession-errors for both setup attached to this bug report

  No problems with Ubuntu 12.04.

  ProblemType: Bug
  DistroRelease: Ubuntu 13.10
  Package: lightdm 1.7.15-0ubuntu1
  ProcVersionSignature: Ubuntu 3.11.0-7.14-generic 3.11.1
  Uname: Linux 3.11.0-7-generic x86_64
  ApportVersion: 2.12.1-0ubuntu4
  Architecture: amd64
  Date: Fri Sep 20 12:21:13 2013
  InstallationDate: Installed on 2013-09-20 (0 days ago)
  InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130917)
  MarkForUpload: True
  ProcEnviron:
   LANGUAGE=de_DE
   TERM=xterm
   PATH=(custom, no user)
   LANG=de_DE.UTF-8
   SHELL=/bin/bash
  SourcePackage: lightdm
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/1228079/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1737855] [NEW] package linux-image-4.4.0-103-generic 4.4.0-103.126 failed to install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1

2017-12-12 Thread Jim Sheng
Public bug reported:

After upgrading from 14.04 LTS to 16.04LTS

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-103-generic 4.4.0-103.126
ProcVersionSignature: Ubuntu 4.4.0-103.126-generic 4.4.98
Uname: Linux 4.4.0-103-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.14
Architecture: amd64
AudioDevicesInUse:
 USERPID ACCESS COMMAND
 /dev/snd/controlC1:  jim2793 F pulseaudio
 /dev/snd/controlC0:  jim2793 F pulseaudio
Date: Wed Dec 13 00:03:34 2017
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-trusty-amd64-20140620-0
ErrorMessage: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with 
return code 1
HibernationDevice: RESUME=UUID=0fc93c05-44f8-4618-beaa-bd141f4d9bd9
InstallationDate: Installed on 2017-12-02 (10 days ago)
InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 
20140620-04:25
MachineType: Dell Inc. Inspiron 15-3552
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-103-generic 
root=UUID=39b6b1f0-402c-4658-97a9-b56b986f9262 ro locale=zh_CN quiet splash 
radeon.modeset=0 nouveau.modeset=0 i915.disable_power_well=0 
video.use_native_backlight=1 vt.handoff=7
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No 
PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions: grub-pc N/A
SourcePackage: initramfs-tools
Title: package linux-image-4.4.0-103-generic 4.4.0-103.126 failed to 
install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with 
return code 1
UpgradeStatus: Upgraded to xenial on 2017-12-13 (0 days ago)
dmi.bios.date: 12/22/2016
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 4.0.13
dmi.board.name: 079W3P
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: 
dmi:bvnDellInc.:bvr4.0.13:bd12/22/2016:svnDellInc.:pnInspiron15-3552:pvr4.0.13:rvnDellInc.:rn079W3P:rvrA00:cvnDellInc.:ct8:cvrNotSpecified:
dmi.product.name: Inspiron 15-3552
dmi.product.version: 4.0.13
dmi.sys.vendor: Dell Inc.

** Affects: initramfs-tools (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1737855

Title:
  package linux-image-4.4.0-103-generic 4.4.0-103.126 failed to
  install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools
  exited with return code 1

Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  After upgrading from 14.04 LTS to 16.04LTS

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: linux-image-4.4.0-103-generic 4.4.0-103.126
  ProcVersionSignature: Ubuntu 4.4.0-103.126-generic 4.4.98
  Uname: Linux 4.4.0-103-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.14
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC1:  jim2793 F pulseaudio
   /dev/snd/controlC0:  jim2793 F pulseaudio
  Date: Wed Dec 13 00:03:34 2017
  DistributionChannelDescriptor:
   # This is a distribution channel descriptor
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-somerville-trusty-amd64-20140620-0
  ErrorMessage: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with 
return code 1
  HibernationDevice: RESUME=UUID=0fc93c05-44f8-4618-beaa-bd141f4d9bd9
  InstallationDate: Installed on 2017-12-02 (10 days ago)
  InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 
20140620-04:25
  MachineType: Dell Inc. Inspiron 15-3552
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-103-generic 
root=UUID=39b6b1f0-402c-4658-97a9-b56b986f9262 ro locale=zh_CN quiet splash 
radeon.modeset=0 nouveau.modeset=0 i915.disable_power_well=0 
video.use_native_backlight=1 vt.handoff=7
  PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No 
PulseAudio daemon running, or not running as session daemon.
  RelatedPackageVersions: grub-pc N/A
  SourcePackage: initramfs-tools
  Title: package linux-image-4.4.0-103-generic 4.4.0-103.126 failed to 
install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with 
return code 1
  UpgradeStatus: Upgraded to xenial on 2017-12-13 (0 days ago)
  dmi.bios.date: 12/22/2016
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 4.0.13
  dmi.board.name: 079W3P
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: Not Specified
  dmi.modalias: 
dmi:bvnDellInc.:bvr4.0.13:bd12/22/2016:svnDellInc.:pnInspiron15-3552:pvr4.0.13:rvnDellInc.:rn079W3P:rvrA00:cvnDellInc.:ct8:cvrNotSpecified

[Touch-packages] [Bug 1542782] Re: unity-scope-loader crashed with SIGSEGV in g_desktop_app_info_get_is_hidden()

2017-11-03 Thread Jim Campbell
Same issue here on Ubuntu 16.04 as descried.
Nvidia Driver 384.90-0ubuntu0.16
4.4.0-98-generic
system up to date

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libunity in Ubuntu.
https://bugs.launchpad.net/bugs/1542782

Title:
  unity-scope-loader crashed with SIGSEGV in
  g_desktop_app_info_get_is_hidden()

Status in libunity package in Ubuntu:
  Confirmed

Bug description:
  I do not know, this error was made in a background.

  ProblemType: Crash
  DistroRelease: Ubuntu 16.04
  Package: libunity9 7.1.4+15.10.20151002-0ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-2.16-generic 4.4.0
  Uname: Linux 4.4.0-2-generic x86_64
  ApportVersion: 2.19.4-0ubuntu2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Sun Feb  7 08:36:54 2016
  ExecutablePath: /usr/bin/unity-scope-loader
  InstallationDate: Installed on 2016-02-05 (1 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160205)
  ProcCmdline: /usr/bin/unity-scope-loader applications/applications.scope 
applications/scopes.scope commands.scope
  ProcEnviron:
   XDG_RUNTIME_DIR=
   SHELL=/bin/bash
   LANGUAGE=ru
   PATH=(custom, no user)
   LANG=ru_RU.UTF-8
  SegvAnalysis:
   Segfault happened at: 0x7f7fbb1b3300 : 
movzbl 0xc0(%rdi),%eax
   PC (0x7f7fbb1b3300) ok
   source "0xc0(%rdi)" (0x00c0) not located in a known VMA region (needed 
readable region)!
   destination "%eax" ok
  SegvReason: reading NULL VMA
  Signal: 11
  SourcePackage: libunity
  StacktraceTop:
   g_desktop_app_info_get_is_hidden () from 
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
   ?? () from /usr/lib/x86_64-linux-gnu/libgnome-menu-3.so.0
   ?? () from /usr/lib/x86_64-linux-gnu/libgnome-menu-3.so.0
   gmenu_tree_load_sync () from /usr/lib/x86_64-linux-gnu/libgnome-menu-3.so.0
   ?? () from /usr/lib/x86_64-linux-gnu/unity/unity-scope-applications.so
  Title: unity-scope-loader crashed with SIGSEGV in 
g_desktop_app_info_get_is_hidden()
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libunity/+bug/1542782/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1728435] [NEW] package gconf2 3.2.6-3ubuntu6 failed to install/upgrade: dependency problems - leaving triggers unprocessed

2017-10-29 Thread Jim Weaver
Public bug reported:

Error occurred while upgrading Ubuntu 16.04 to 17.10.  Other errors
occurred during the process.  System appears to be working normally
after upgrade.

ProblemType: Package
DistroRelease: Ubuntu 17.04
Package: gconf2 3.2.6-3ubuntu6
ProcVersionSignature: Ubuntu 4.4.0-97.120-generic 4.4.87
Uname: Linux 4.4.0-97-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.10
Architecture: amd64
Date: Sun Oct 29 12:57:51 2017
ErrorMessage: dependency problems - leaving triggers unprocessed
InstallationDate: Installed on 2016-10-19 (375 days ago)
InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.3)
RelatedPackageVersions:
 dpkg 1.18.10ubuntu2
 apt  1.4.6~17.04.1
SourcePackage: gconf
Title: package gconf2 3.2.6-3ubuntu6 failed to install/upgrade: dependency 
problems - leaving triggers unprocessed
UpgradeStatus: Upgraded to zesty on 2017-10-29 (0 days ago)

** Affects: gconf (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package zesty

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gconf in Ubuntu.
https://bugs.launchpad.net/bugs/1728435

Title:
  package gconf2 3.2.6-3ubuntu6 failed to install/upgrade: dependency
  problems - leaving triggers unprocessed

Status in gconf package in Ubuntu:
  New

Bug description:
  Error occurred while upgrading Ubuntu 16.04 to 17.10.  Other errors
  occurred during the process.  System appears to be working normally
  after upgrade.

  ProblemType: Package
  DistroRelease: Ubuntu 17.04
  Package: gconf2 3.2.6-3ubuntu6
  ProcVersionSignature: Ubuntu 4.4.0-97.120-generic 4.4.87
  Uname: Linux 4.4.0-97-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.10
  Architecture: amd64
  Date: Sun Oct 29 12:57:51 2017
  ErrorMessage: dependency problems - leaving triggers unprocessed
  InstallationDate: Installed on 2016-10-19 (375 days ago)
  InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.3)
  RelatedPackageVersions:
   dpkg 1.18.10ubuntu2
   apt  1.4.6~17.04.1
  SourcePackage: gconf
  Title: package gconf2 3.2.6-3ubuntu6 failed to install/upgrade: dependency 
problems - leaving triggers unprocessed
  UpgradeStatus: Upgraded to zesty on 2017-10-29 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gconf/+bug/1728435/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1728065] [NEW] package libperl5.26 5.26.0-8ubuntu1 failed to install/upgrade: trying to overwrite shared '/usr/share/doc/libperl5.26/changelog.Debian.gz', which is different from

2017-10-27 Thread Jim Evans
Public bug reported:

Simple scan driver install failed

ProblemType: Package
DistroRelease: Ubuntu 17.10
Package: libperl5.26 5.26.0-8ubuntu1
ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
Uname: Linux 4.13.0-16-generic x86_64
ApportVersion: 2.20.7-0ubuntu3.1
Architecture: amd64
Date: Fri Oct 27 10:07:00 2017
DuplicateSignature:
 package:libperl5.26:5.26.0-8ubuntu1
 Unpacking libperl5.26:i386 (5.26.0-8ubuntu1) ...
 dpkg: error processing archive 
/tmp/apt-dpkg-install-kzU9Ux/15-libperl5.26_5.26.0-8ubuntu1_i386.deb (--unpack):
  trying to overwrite shared '/usr/share/doc/libperl5.26/changelog.Debian.gz', 
which is different from other instances of package libperl5.26:i386
ErrorMessage: trying to overwrite shared 
'/usr/share/doc/libperl5.26/changelog.Debian.gz', which is different from other 
instances of package libperl5.26:i386
InstallationDate: Installed on 2017-01-19 (280 days ago)
InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
Python3Details: /usr/bin/python3.6, Python 3.6.3, python3-minimal, 
3.6.3-0ubuntu2
PythonDetails: /usr/bin/python2.7, Python 2.7.14, python-minimal, 
2.7.14-2ubuntu1
RelatedPackageVersions:
 dpkg 1.18.24ubuntu1
 apt  1.5
SourcePackage: perl
Title: package libperl5.26 5.26.0-8ubuntu1 failed to install/upgrade: trying to 
overwrite shared '/usr/share/doc/libperl5.26/changelog.Debian.gz', which is 
different from other instances of package libperl5.26:i386
UpgradeStatus: Upgraded to artful on 2017-10-21 (5 days ago)

** Affects: perl (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package artful package-conflict

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to perl in Ubuntu.
https://bugs.launchpad.net/bugs/1728065

Title:
  package libperl5.26 5.26.0-8ubuntu1 failed to install/upgrade: trying
  to overwrite shared '/usr/share/doc/libperl5.26/changelog.Debian.gz',
  which is different from other instances of package libperl5.26:i386

Status in perl package in Ubuntu:
  New

Bug description:
  Simple scan driver install failed

  ProblemType: Package
  DistroRelease: Ubuntu 17.10
  Package: libperl5.26 5.26.0-8ubuntu1
  ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
  Uname: Linux 4.13.0-16-generic x86_64
  ApportVersion: 2.20.7-0ubuntu3.1
  Architecture: amd64
  Date: Fri Oct 27 10:07:00 2017
  DuplicateSignature:
   package:libperl5.26:5.26.0-8ubuntu1
   Unpacking libperl5.26:i386 (5.26.0-8ubuntu1) ...
   dpkg: error processing archive 
/tmp/apt-dpkg-install-kzU9Ux/15-libperl5.26_5.26.0-8ubuntu1_i386.deb (--unpack):
trying to overwrite shared 
'/usr/share/doc/libperl5.26/changelog.Debian.gz', which is different from other 
instances of package libperl5.26:i386
  ErrorMessage: trying to overwrite shared 
'/usr/share/doc/libperl5.26/changelog.Debian.gz', which is different from other 
instances of package libperl5.26:i386
  InstallationDate: Installed on 2017-01-19 (280 days ago)
  InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
  Python3Details: /usr/bin/python3.6, Python 3.6.3, python3-minimal, 
3.6.3-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.14, python-minimal, 
2.7.14-2ubuntu1
  RelatedPackageVersions:
   dpkg 1.18.24ubuntu1
   apt  1.5
  SourcePackage: perl
  Title: package libperl5.26 5.26.0-8ubuntu1 failed to install/upgrade: trying 
to overwrite shared '/usr/share/doc/libperl5.26/changelog.Debian.gz', which is 
different from other instances of package libperl5.26:i386
  UpgradeStatus: Upgraded to artful on 2017-10-21 (5 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/perl/+bug/1728065/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1620636] Re: Fails to pair with Bose QC35 headphones

2017-10-25 Thread Jim Hodapp
Isak: yeah same here, that usually has to do with bluez still querying
for other devices in the background and sucking up all of the channel
bandwidth. It really needs someone to investigate if we can get bluez to
not consume so much bandwidth, or make the query period more context
sensitive such that it only happens when the BT settings UI is shown or
explicitly told to query for new devices on the command line.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1620636

Title:
  Fails to pair with Bose QC35 headphones

Status in Canonical System Image:
  In Progress
Status in bluez package in Ubuntu:
  In Progress

Bug description:
  I am unable to pair the Bose QC35 BT headphones with Ubuntu, either
  Ubuntu desktop running 16.04 LTS with bluez 5.37 (also tried bluez
  5.41 from installed from yakkety archive), nor using Ubuntu Touch rc-
  proposed build for Turbo #174. I'm trying to pair through the normal
  bluetooth control panel brought up through the bluetooth indicator.

  I've attached some logs that show it failing to pair. If I can provide
  anymore useful information about the headphones, please let me know.

  Syslog with bluetoothd debugging enabled:
  http://pastebin.ubuntu.com/23141394/

  btmon output:
  http://pastebin.ubuntu.com/23141446/

  bluetoothctl output:
  http://pastebin.ubuntu.com/23141510/

  With Linux kernel 4.8.0 and bluez 4.52:
  ---

  bluetoothctl: http://pastebin.ubuntu.com/23256457/
  btmon: http://pastebin.ubuntu.com/23256471/

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1620636/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1719110] Re: gdb gets SIGSEGV before calling main()

2017-09-25 Thread Jim Starkey
apt-get upgrade reported that gdb was up to date.  However, removing and
re-installing gdb with apt-get got it working again.

The gdb packaging?  The upgrade procedure?

I have a copy of the systems with bad gdb instances if anyone would like
to take this on.

But for now, I'm out of the woods...

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gdb in Ubuntu.
https://bugs.launchpad.net/bugs/1719110

Title:
  gdb gets SIGSEGV before calling main()

Status in gdb package in Ubuntu:
  New

Bug description:
  This about covers it:

  jas@rpi3:~$ cat foo.cpp
  #include 

  int main (int argc, const char **argv)
  {
  printf("hello, world\n");

  return 0;
  }
  jas@rpi3:~$ g++ foo.cpp
  jas@rpi3:~$ gdb a.out
  GNU gdb (Ubuntu 7.11.1-0ubuntu1~16.5) 7.11.1
  Copyright (C) 2016 Free Software Foundation, Inc.
  License GPLv3+: GNU GPL version 3 or later 
  This is free software: you are free to change and redistribute it.
  There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
  and "show warranty" for details.
  This GDB was configured as "arm-linux-gnueabihf".
  Type "show configuration" for configuration details.
  For bug reporting instructions, please see:
  .
  Find the GDB manual and other documentation resources online at:
  .
  For help, type "help".
  Type "apropos word" to search for commands related to "word"...
  Reading symbols from a.out...(no debugging symbols found)...done.
  (gdb) r
  Starting program: /home/jas/a.out

  Program received signal SIGSEGV, Segmentation fault.
  0x76fd9dde in ?? () from /lib/ld-linux-armhf.so.3
  (gdb)

  
  I can't image how this can be.  It seems to happen on all images.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdb/+bug/1719110/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1620636] Re: Fails to pair with Bose QC35 headphones

2017-09-25 Thread Jim Hodapp
Yes I've experienced the same kind of jitter. The volume level is pretty
decent for me, but not the streaming performance. I basically need to be
doing nothing else on my laptop for it to stream without jittering.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1620636

Title:
  Fails to pair with Bose QC35 headphones

Status in Canonical System Image:
  In Progress
Status in bluez package in Ubuntu:
  In Progress

Bug description:
  I am unable to pair the Bose QC35 BT headphones with Ubuntu, either
  Ubuntu desktop running 16.04 LTS with bluez 5.37 (also tried bluez
  5.41 from installed from yakkety archive), nor using Ubuntu Touch rc-
  proposed build for Turbo #174. I'm trying to pair through the normal
  bluetooth control panel brought up through the bluetooth indicator.

  I've attached some logs that show it failing to pair. If I can provide
  anymore useful information about the headphones, please let me know.

  Syslog with bluetoothd debugging enabled:
  http://pastebin.ubuntu.com/23141394/

  btmon output:
  http://pastebin.ubuntu.com/23141446/

  bluetoothctl output:
  http://pastebin.ubuntu.com/23141510/

  With Linux kernel 4.8.0 and bluez 4.52:
  ---

  bluetoothctl: http://pastebin.ubuntu.com/23256457/
  btmon: http://pastebin.ubuntu.com/23256471/

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1620636/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1713248] Re: pubkey auth hangs on high latency networks

2017-08-26 Thread Jim Salter
After logging in, my actual tests move several gigabytes of http traffic
- downloads of incompressible data in files ranging from 16KB to 16MB -
complete without incident.

I've been resorting to establishing an ssh control channel while the
test laptops are in short range, then taking them to the longer range
and running the actual tests, using the already established control
channel to avoid the need for re authentication.

Literally *everything* but SSH pub key auth functions at long range.
This behavior is consistent across at least five models of wireless
interface, and thirty plus models of wireless router or access point.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1713248

Title:
  pubkey auth hangs on high latency networks

Status in openssh package in Ubuntu:
  New

Bug description:
  This is a weird one. I use a small fleet of laptops to do professional
  network testing, and I wrote some tools that use SSH with pubkey auth
  to run simultaneous tests.

  The problem is, if the wifi connection isn't superb, the auth times
  out more often than not. For example, if I've got a long range 5 GHz
  connection which returns 100% of pings but has a median latency of
  100ms or so, auth hangs after send packet: type 50, never receiving
  the packet type 51 to complete the auth.

  debug2: key: /root/.ssh/id_ecdsa ((nil))
  debug2: key: /root/.ssh/id_ed25519 ((nil))
  debug3: send packet: type 5
  debug3: receive packet: type 6
  debug2: service_accept: ssh-userauth
  debug1: SSH2_MSG_SERVICE_ACCEPT received
  debug3: send packet: type 50

  This is where it hangs; after approximately a 30 second timeout
  (haven't clocked it precisely) it falls through to any remaining
  available authentication methods - other keys, hostbased, password,
  whatever hasn't been explicitly disabled.

  Yes, UseDNS no is on, on both client and sender. I've also disabled
  all non-essential PAM modules, and disabled HostBasedAuth, RSAAuth,
  and GSSAPI on both client and sender.

  The same two laptops in the same location will complete password
  authentication without a problem - if a pubkey is present for the user
  on the client side, it'll have to time that out first before it fails
  through and asks for the password (which will be promptly accepted and
  work normally); but if there is no pubkey for the client user, it'll
  prompt for the password and accept it immediately.

  If I move the server laptop closer to the router, so that the median
  latency falls in something more like the 50ms range, the pubkey auth
  works fine. I want to reiterate here that we're talking about high
  latency, but we're *not* talking about dropped packets - pings between
  the laptops when they're having problems range from 100ms-900ms
  latency, but with 100% returns. (And, again, password auth works fine,
  it's only pubkey that has the issue - and only when latency is high.)

  I can't find anything on the internets referring to a problem with
  high latency pubkey authentication on machines where pubkey auth works
  fine with lower latency, but here I am.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: openssh-server 1:7.2p2-4ubuntu2.1
  ProcVersionSignature: Ubuntu 4.4.0-78.99-generic 4.4.62
  Uname: Linux 4.4.0-78-generic x86_64
  NonfreeKernelModules: zfs zunicode zcommon znvpair zavl nvidia_uvm nvidia_drm 
nvidia_modeset nvidia
  ApportVersion: 2.20.1-0ubuntu2.10
  Architecture: amd64
  Date: Sat Aug 26 12:04:22 2017
  InstallationDate: Installed on 2016-11-05 (293 days ago)
  InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.3)
  ProcEnviron:
   LANGUAGE=en_US
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: openssh
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1713248/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1713248] [NEW] pubkey auth hangs on high latency networks

2017-08-26 Thread Jim Salter
Public bug reported:

This is a weird one. I use a small fleet of laptops to do professional
network testing, and I wrote some tools that use SSH with pubkey auth to
run simultaneous tests.

The problem is, if the wifi connection isn't superb, the auth times out
more often than not. For example, if I've got a long range 5 GHz
connection which returns 100% of pings but has a median latency of 100ms
or so, auth hangs after send packet: type 50, never receiving the packet
type 51 to complete the auth.

debug2: key: /root/.ssh/id_ecdsa ((nil))
debug2: key: /root/.ssh/id_ed25519 ((nil))
debug3: send packet: type 5
debug3: receive packet: type 6
debug2: service_accept: ssh-userauth
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug3: send packet: type 50

This is where it hangs; after approximately a 30 second timeout (haven't
clocked it precisely) it falls through to any remaining available
authentication methods - other keys, hostbased, password, whatever
hasn't been explicitly disabled.

Yes, UseDNS no is on, on both client and sender. I've also disabled all
non-essential PAM modules, and disabled HostBasedAuth, RSAAuth, and
GSSAPI on both client and sender.

The same two laptops in the same location will complete password
authentication without a problem - if a pubkey is present for the user
on the client side, it'll have to time that out first before it fails
through and asks for the password (which will be promptly accepted and
work normally); but if there is no pubkey for the client user, it'll
prompt for the password and accept it immediately.

If I move the server laptop closer to the router, so that the median
latency falls in something more like the 50ms range, the pubkey auth
works fine. I want to reiterate here that we're talking about high
latency, but we're *not* talking about dropped packets - pings between
the laptops when they're having problems range from 100ms-900ms latency,
but with 100% returns. (And, again, password auth works fine, it's only
pubkey that has the issue - and only when latency is high.)

I can't find anything on the internets referring to a problem with high
latency pubkey authentication on machines where pubkey auth works fine
with lower latency, but here I am.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: openssh-server 1:7.2p2-4ubuntu2.1
ProcVersionSignature: Ubuntu 4.4.0-78.99-generic 4.4.62
Uname: Linux 4.4.0-78-generic x86_64
NonfreeKernelModules: zfs zunicode zcommon znvpair zavl nvidia_uvm nvidia_drm 
nvidia_modeset nvidia
ApportVersion: 2.20.1-0ubuntu2.10
Architecture: amd64
Date: Sat Aug 26 12:04:22 2017
InstallationDate: Installed on 2016-11-05 (293 days ago)
InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.3)
ProcEnviron:
 LANGUAGE=en_US
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: openssh
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: openssh (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1713248

Title:
  pubkey auth hangs on high latency networks

Status in openssh package in Ubuntu:
  New

Bug description:
  This is a weird one. I use a small fleet of laptops to do professional
  network testing, and I wrote some tools that use SSH with pubkey auth
  to run simultaneous tests.

  The problem is, if the wifi connection isn't superb, the auth times
  out more often than not. For example, if I've got a long range 5 GHz
  connection which returns 100% of pings but has a median latency of
  100ms or so, auth hangs after send packet: type 50, never receiving
  the packet type 51 to complete the auth.

  debug2: key: /root/.ssh/id_ecdsa ((nil))
  debug2: key: /root/.ssh/id_ed25519 ((nil))
  debug3: send packet: type 5
  debug3: receive packet: type 6
  debug2: service_accept: ssh-userauth
  debug1: SSH2_MSG_SERVICE_ACCEPT received
  debug3: send packet: type 50

  This is where it hangs; after approximately a 30 second timeout
  (haven't clocked it precisely) it falls through to any remaining
  available authentication methods - other keys, hostbased, password,
  whatever hasn't been explicitly disabled.

  Yes, UseDNS no is on, on both client and sender. I've also disabled
  all non-essential PAM modules, and disabled HostBasedAuth, RSAAuth,
  and GSSAPI on both client and sender.

  The same two laptops in the same location will complete password
  authentication without a problem - if a pubkey is present for the user
  on the client side, it'll have to time that out first before it fails
  through and asks for the password (which will be promptly accepted and
  work normally); but if there is no pubkey for the client user, it'll
  prompt for the password and accept it immediately.

  If I move the server laptop closer to the 

[Touch-packages] [Bug 1711428] Re: cloud-init sometimes fails on dpkg lock due to concurrent apt-daily-upgrade.service execution

2017-08-17 Thread Jim Browne
> So I think this is something that you will want to fix in your image
> mastering scripts.

I agree and am fine with this being marked INVALID.

However, is juliank's note about the implementation of After= a concern
w.r.t. how LP#1693361 was resovled?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1711428

Title:
  cloud-init sometimes fails on dpkg lock due to concurrent apt-daily-
  upgrade.service execution

Status in cloud-init:
  Incomplete
Status in apt package in Ubuntu:
  Incomplete

Bug description:
  This is the same problem as https://bugs.launchpad.net/cloud-
  init/+bug/1693361, but with a different APT invoking service.  In this
  case it is apt-daily-upgrade.service.

  So, I guess add apt-daily-upgrade.service to the Before line in
  /lib/systemd/system/cloud-final.service along side apt-daily.service.

  Or wait for an APT fix.  Or retry APT commands when executing
  "packages:"

  Reporting this to save someone else trouble, but I think we'll be
  rolling back to Trusty at this point.  Hopefully the B LTS will have
  an alternative to systemd.

To manage notifications about this bug go to:
https://bugs.launchpad.net/cloud-init/+bug/1711428/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1711428] Re: cloud-init sometimes fails on dpkg lock due to concurrent apt-daily-upgrade.service execution

2017-08-17 Thread Jim Browne
Hmmm.  I confirm what you see.

I think this problem is arising because we have Packer run (due to LP#1693361):
systemctl disable apt-daily.service
systemctl disable apt-daily.timer

when building the AMI.

I guess if apt-daily.service is disabled the Before is not transitive
from cloud-init to apt-daily-upgrade via apt-daily?  Not seeing anything
definitive in the docs after a quick glance.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1711428

Title:
  cloud-init sometimes fails on dpkg lock due to concurrent apt-daily-
  upgrade.service execution

Status in cloud-init:
  Incomplete
Status in apt package in Ubuntu:
  Incomplete

Bug description:
  This is the same problem as https://bugs.launchpad.net/cloud-
  init/+bug/1693361, but with a different APT invoking service.  In this
  case it is apt-daily-upgrade.service.

  So, I guess add apt-daily-upgrade.service to the Before line in
  /lib/systemd/system/cloud-final.service along side apt-daily.service.

  Or wait for an APT fix.  Or retry APT commands when executing
  "packages:"

  Reporting this to save someone else trouble, but I think we'll be
  rolling back to Trusty at this point.  Hopefully the B LTS will have
  an alternative to systemd.

To manage notifications about this bug go to:
https://bugs.launchpad.net/cloud-init/+bug/1711428/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1587142] Re: Shutdown hangs in md kworker after "Reached target Shutdown."

2017-07-31 Thread Jim Nijkamp
Confirm on this bug with hardware:

HP Z230, Intel Raid bios, Ubuntu 16.04.2.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1587142

Title:
  Shutdown hangs in md kworker after "Reached target Shutdown."

Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  I'm booting a fully patched 16.04 from an Intel Rapid Storage
  Technology enterprise RAID1 volume (ThinkServer TS140 with two SATA
  ST1000NM0033-9ZM drives, ext4 root partition, no LVM, UEFI mode).

  If the RAID volume is recovering or resyncing for whatever reason, then `sudo 
systemctl reboot` and `sudo systemctl poweroff` work fine (I had to `sudo 
systemctl --now disable lvm2-lvmetad lvm2-lvmpolld lvm2-monitor` in order to 
consistently get that). However, once the recovery/resync is complete and 
clean, the reboot and poweroff commands above hang forever after "Reached 
target Shutdown.". Note that issuing `sudo swapoff -a` beforehand (suggested in 
the bug #1464917) does not help.
  [EDIT]Actually, the shutdown also hangs from time to time during a resync. 
But I've never seen it succeed once the resync is complete.[/EDIT]

  Then, if the server has been forcibly restarted with the power button,
  the Intel Matrix Storage Manager indicates a "Normal" status for the
  RAID1 volume, but Ubuntu then resyncs the volume anyway:

  [1.223649] md: bind
  [1.228426] md: bind
  [1.230030] md: bind
  [1.230738] md: bind
  [1.232985] usbcore: registered new interface driver usbhid
  [1.233494] usbhid: USB HID core driver
  [1.234022] md: raid1 personality registered for level 1
  [1.234876] md/raid1:md126: not clean -- starting background reconstruction
  [1.234956] input: CHESEN USB Keyboard as 
/devices/pci:00/:00:14.0/usb3/3-10/3-10:1.0/0003:0A81:0101.0001/input/input5
  [1.236273] md/raid1:md126: active with 2 out of 2 mirrors
  [1.236797] md126: detected capacity change from 0 to 1000202043392
  [1.246271] md: md126 switched to read-write mode.
  [1.246834] md: resync of RAID array md126
  [1.247325] md: minimum _guaranteed_  speed: 1000 KB/sec/disk.
  [1.247503]  md126: p1 p2 p3 p4
  [1.248269] md: using maximum available idle IO bandwidth (but not more 
than 20 KB/sec) for resync.
  [1.248774] md: using 128k window, over a total of 976759940k.

  Note that the pain of "resync upon every (re)boot" cannot even be a
  bit relieved thanks to bitmaps because mdadm does not support them for
  IMSM containers:

  $ sudo mdadm --grow --bitmap=internal /dev/md126
  mdadm: Cannot add bitmaps to sub-arrays yet

  I also get this in syslog during boot when the individual drives are
  detected, but this seems to be harmless:

  May 30 17:26:07 wssrv1 systemd-udevd[608]: Process '/sbin/mdadm --incremental 
/dev/sdb --offroot' failed with exit code 1.
  May 30 17:26:07 wssrv1 systemd-udevd[608]: Process '/lib/udev/hdparm' failed 
with exit code 1.

  May 30 17:26:07 wssrv1 systemd-udevd[606]: Process '/sbin/mdadm --incremental 
/dev/sda --offroot' failed with exit code 1.
  May 30 17:26:07 wssrv1 systemd-udevd[606]: Process '/lib/udev/hdparm' failed 
with exit code 1.

  During a resync, `sudo sh -c 'echo idle >
  /sys/block/md126/md/sync_action'` actually stops it as expected, but
  it restarts immediately though nothing seems to have triggered it:

  May 30 18:17:02 wssrv1 kernel: [ 3106.826710] md: md126: resync interrupted.
  May 30 18:17:02 wssrv1 kernel: [ 3106.836320] md: checkpointing resync of 
md126.
  May 30 18:17:02 wssrv1 kernel: [ 3106.836623] md: resync of RAID array md126
  May 30 18:17:02 wssrv1 kernel: [ 3106.836625] md: minimum _guaranteed_  
speed: 1000 KB/sec/disk.
  May 30 18:17:02 wssrv1 kernel: [ 3106.836626] md: using maximum available 
idle IO bandwidth (but not more than 20 KB/sec) for resync.
  May 30 18:17:02 wssrv1 kernel: [ 3106.836627] md: using 128k window, over a 
total of 976759940k.
  May 30 18:17:02 wssrv1 kernel: [ 3106.836628] md: resuming resync of md126 
from checkpoint.
  May 30 18:17:02 wssrv1 mdadm[982]: RebuildStarted event detected on md device 
/dev/md/Volume0

  I attach screenshots of the hanging shutdown log after a `sudo sh -c 'echo 8 
> /proc/sys/kernel/printk'`. The second screenshot shows that the kernel has 
deadlocked in md_write_start(). Note that `sudo systemctl start debug-shell` is 
unusable on this machine at this point because Ctrl+Alt+F9 brings tty9 without 
any keyboard.
  [EDIT]But I can still switch back to tty1.[/EDIT]

  I have also tried with much lower values for vm.dirty_background_ratio
  and vm.dirty_ratio, but to no avail.

  Linux 4.6.0-040600-generic_4.6.0-040600.201605151930_amd64 from
  http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6-yakkety/ did not
  help either.

  More information below:

  $ lsb_release -rd
  Description:  Ubuntu 16.04 LTS
  Release:  

[Touch-packages] [Bug 1318834] Re: Applications can no longer access your @gmail.com Online Account

2017-06-28 Thread Jim Wilson
"Applications can no longer access your [gmail address]. Choose Online
Accounts from the user menu to reinstate access to this account."

This bug is still present in 17.04 with Gnome. I don't think it was an
issue until I entered the information for my Google account in Online
Accounts. Now, the error pops up at every login and is quite annoying.

I have tried to remove it, add it again, remove it and remove
authorization via Google as well as adding it and turning off all
applications. Nothing works.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gnome-control-center-
signon in Ubuntu.
https://bugs.launchpad.net/bugs/1318834

Title:
  Applications can no longer access your @gmail.com Online Account

Status in gnome-control-center-signon package in Ubuntu:
  Confirmed

Bug description:
  IN start UBUNTU

  Application can no longer access your dumetz1...@gmail.com Online
  Account. Choose online Accounts from the user menu to reinstale access
  to this account.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center-signon/+bug/1318834/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1671606] Re: DNS server from vpn connection is not being used after network-manager upgrade to 1.2.6-0ubuntu0.16.04.1

2017-06-28 Thread Jim Richards
** This bug is no longer a duplicate of bug 1639776
   name resolution (dnsmasq) fails to send queries out after suspend/resume 
reconnects the interface

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to resolvconf in Ubuntu.
https://bugs.launchpad.net/bugs/1671606

Title:
  DNS server from vpn connection is not being used after network-manager
  upgrade to 1.2.6-0ubuntu0.16.04.1

Status in network-manager package in Ubuntu:
  Confirmed
Status in resolvconf package in Ubuntu:
  Invalid

Bug description:
  I use my company's cisco vpn via network-manager in Ubuntu 16.04.2
  LTS. After recent upgrade of network-manager:amd64 from version
  1.2.2-0ubuntu0.16.04.4 to version 1.2.6-0ubuntu0.16.04.1 DNS
  resolution of VPN's server hostnames does not work. Roll back to
  version 1.2.2-0ubuntu0.16.04.4 solves the problem.

  Steps for reproducing:
  1. upgrade network-manager:amd64 from version 1.2.2-0ubuntu0.16.04.4 to 
version 1.2.6-0ubuntu0.16.04.1
  2. connect to VPN via network-manager applet
  3. nslookop servername.internal --> ** server can't find servername.internal: 
NXDOMAIN
  4. disconnect from VPN via network-manager applet
  5. roll back network-manager via command: sudo apt-get install 
network-manager=1.2.2-0ubuntu0.16.04.4
  6. restart network-manager via sudo service network-manager restart
  7. connect to VPN via network-manager applet
  8. nslookop servername.internal --> the server is resolved correctly

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: network-manager 1.2.6-0ubuntu0.16.04.1
  ProcVersionSignature: Ubuntu 4.4.0-66.87-generic 4.4.44
  Uname: Linux 4.4.0-66-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Thu Mar  9 19:49:55 2017
  InstallationDate: Installed on 2015-10-05 (520 days ago)
  InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
   WimaxEnabled=true
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-nm:
   RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  
WIFI WWAN-HW  WWAN
   running  1.2.6connected  started  full  enabled enabled  
enabled  enabled  enabled

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1671606/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1626164] Re: [MIR] mediaplayer-app

2017-06-20 Thread Jim Hodapp
We don't need this anymore, so switched to won't fix.

** Changed in: mediaplayer-app (Ubuntu)
   Status: Incomplete => Won't Fix

** Changed in: mediaplayer-app
   Status: New => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mediaplayer-app in Ubuntu.
https://bugs.launchpad.net/bugs/1626164

Title:
  [MIR] mediaplayer-app

Status in mediaplayer-app:
  Won't Fix
Status in mediaplayer-app package in Ubuntu:
  Won't Fix

Bug description:
  [Availability]
   * Available in universe

  [Rationale]
   * This package is required by Unity8

  [Security]
   * No known security issues at this time. It has been reviewed by security in 
the past for use on the phone and is one of the oldest apps on the phone.

  [Quality assurance]
   * This package has both unit tests and Autopilot tests.

  [Dependencies]
   All dependencies are already in main with the exception of the following 
change needed:
   * MR: 
https://code.launchpad.net/~phablet-team/mediaplayer-app/mir-fixes/+merge/306350

  [Standards compliance]
   * This package uses cmake and is properly translated.

  [Maintenance]
   * This package is maintained by Canonical and actively in use on the phone 
images.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mediaplayer-app/+bug/1626164/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1670059] Re: [Latitude 3340, Realtek ALC3234] Headphones Not Detected if Plugged in before Boot

2017-05-25 Thread Jim Rybarski
I also have this issue. Running "alsactl restore" will allow sound to
come through the headphones without rebooting, but this is suboptimal. I
have attached my alsa-info output.

** Attachment added: "alsa-info.txt.vU4MuqgaEu"
   
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1670059/+attachment/4883677/+files/alsa-info.txt.vU4MuqgaEu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1670059

Title:
  [Latitude 3340, Realtek ALC3234] Headphones Not Detected if Plugged in
  before Boot

Status in alsa-driver package in Ubuntu:
  New

Bug description:
  When (re)booting with headphones in, audio won't play. Once the headphones 
are unplugged, it will start to come through the speakers and will work with 
the headphones when they are plugged back in.
  Expected headphones to be detected automatically even if plugged in before 
boot.

  This is on latest Xenial HWE kernel (4.8.0-39-generic x86_64).
  ALSA Info attached.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1670059/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1066488] Re: No sound on Dell XPS after suspend (ALC275)

2017-05-12 Thread Jim Hargrove
Hi, Daniel,

Appears to be fixed entirely now.  I was running Ubuntu 12.04 when I
first encountered the bug, and if memory serves it was fixed at least a
year or two ago.  I'm currently running 16.04.

Thanks for responding.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1066488

Title:
  No sound on Dell XPS after suspend (ALC275)

Status in pulseaudio package in Ubuntu:
  Incomplete

Bug description:
  Dell XPS One 2710, Ubuntu 12.04, Kernel 3.2.0.31 or 3.2.0.32 or 3.6.2

  Sound works out of the box, until machine is supended to RAM. After
  suspend and resume, no sound at all.

  A suspend to Disk and resume restores sound!

  aplay -l:
  Karte 0: PCH [HDA Intel PCH], Gerät 0: ALC275 Analog [ALC275 Analog]
Sub-Geräte: 1/1
Sub-Gerät #0: subdevice #0
  Karte 0: PCH [HDA Intel PCH], Gerät 3: HDMI 0 [HDMI 0]
Sub-Geräte: 1/1
Sub-Gerät #0: subdevice #0

  lsmod|grep snd:
  snd_hda_codec_hdmi 32506  1 
  snd_hda_codec_realtek79668  1 
  snd_hda_intel  34147  3 
  snd_hda_codec 135374  3 
snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel
  snd_hwdep  13668  1 snd_hda_codec
  snd_pcm97661  3 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
  snd_timer  29989  1 snd_pcm
  snd79391  13 
snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
  soundcore  15091  1 snd
  snd_page_alloc 18572  2 snd_hda_intel,snd_pcm

  
  It is NOT possible to unload snd modules.

  sudo /sbin/alsa force-unload:
  Unloading ALSA sound driver modules: snd-hda-codec-hdmi snd-hda-codec-realtek 
snd-hda-intel snd-hda-codec snd-hwdep snd-pcm snd-seq-midi snd-rawmidi 
snd-seq-midi-event snd-seq snd-timer snd-seq-device snd-page-alloc
  (failed: modules still loaded: snd-hda-codec-hdmi snd-hda-codec-realtek 
snd-hda-intel snd-hda-codec snd-hwdep snd-pcm snd-timer snd-page-alloc).

  All information in the net either is depreciated (using acpi_suspend)
  or refers to chips that have options (e.g. modprobe snd_hda_intel
  option=acer). There is NO documentation about options of the ALC275
  chip.

  Anybody has a solution to this?

  Thanks

  Michael

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1066488/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1680750] Re: pm-hibernate does nothing at all

2017-04-07 Thread Jim Garlick
** Package changed: powerman (Ubuntu) => pm-utils (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pm-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1680750

Title:
  pm-hibernate does nothing at all

Status in pm-utils package in Ubuntu:
  New

Bug description:
  I have run from a command line:
  # sudo pm-hibernate

  and NOTHING f***ing happens.

  Usually it works (except for lots of issues on resume), but now I have
  tried it twice and it does nothing.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: powerman (not installed)
  ProcVersionSignature: Ubuntu 4.4.0-66.87-generic 4.4.44
  Uname: Linux 4.4.0-66-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Fri Apr  7 10:47:47 2017
  InstallationDate: Installed on 2013-10-11 (1273 days ago)
  InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
  SourcePackage: powerman
  UpgradeStatus: Upgraded to xenial on 2016-12-11 (116 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pm-utils/+bug/1680750/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1577641] Re: Unity8 creates a blank black window for windowless apps

2017-02-14 Thread Jim Hodapp
** Changed in: canonical-devices-system-image
 Assignee: (unassigned) => Michał Sawicz (saviq)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1577641

Title:
  Unity8 creates a blank black window for windowless apps

Status in Canonical System Image:
  Confirmed
Status in Mir:
  Invalid
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  Unity8 creates a blank black window for windowless apps.

  Windowless apps are closer thank you think:   Xmir -rootless
  is one such example while no X apps have started yet.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1577641/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1398193] Re: The bluetooth headset cannot control media playback

2017-02-02 Thread Jim Hodapp
** Summary changed:

- The bluetooth headset can not control the media playback
+ The bluetooth headset cannot control media playback

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1398193

Title:
  The bluetooth headset cannot control media playback

Status in Canonical System Image:
  Triaged
Status in bluez package in Ubuntu:
  Triaged
Status in media-hub package in Ubuntu:
  Invalid
Status in media-hub package in Ubuntu RTM:
  Invalid

Bug description:
  [Preconditions]
  1.The DUT pair with bluetooth headset

  [Procedures]
  1.Play a video using the mediaplayer-app
  2.Play/pause video by bluetooth headset

  [Expect results]
  The bluetooth headset can play/pause video
  [Actual results]
  The bluetooth headset can not control the video playback.

  [Reproduce]
  Always

  Same for audio playback

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1398193/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1659749] [NEW] package apport 2.20.1-0ubuntu2 failed to install/upgrade: subprocess new pre-removal script returned error exit status 139

2017-01-27 Thread JIm Gidley
Public bug reported:

Failure on upgrade.

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: apport 2.20.1-0ubuntu2
ProcVersionSignature: Ubuntu 4.4.0-53.74-generic 4.4.30
Uname: Linux 4.4.0-53-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
Date: Thu Jan 26 23:57:33 2017
ErrorMessage: subprocess new pre-removal script returned error exit status 139
InstallationDate: Installed on 2016-09-26 (122 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
PackageArchitecture: all
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.1
 apt  1.2.15ubuntu0.2
SourcePackage: apport
Title: package apport 2.20.1-0ubuntu2 failed to install/upgrade: subprocess new 
pre-removal script returned error exit status 139
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: apport (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1659749

Title:
  package apport 2.20.1-0ubuntu2 failed to install/upgrade: subprocess
  new pre-removal script returned error exit status 139

Status in apport package in Ubuntu:
  New

Bug description:
  Failure on upgrade.

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: apport 2.20.1-0ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-53.74-generic 4.4.30
  Uname: Linux 4.4.0-53-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  Date: Thu Jan 26 23:57:33 2017
  ErrorMessage: subprocess new pre-removal script returned error exit status 139
  InstallationDate: Installed on 2016-09-26 (122 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.15ubuntu0.2
  SourcePackage: apport
  Title: package apport 2.20.1-0ubuntu2 failed to install/upgrade: subprocess 
new pre-removal script returned error exit status 139
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1659749/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1398193] Re: The bluetooth headset can not control the media playback

2017-01-24 Thread Jim Hodapp
** Changed in: canonical-devices-system-image
 Assignee: John McAleely (john.mcaleely) => Jim Hodapp (jhodapp)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1398193

Title:
  The bluetooth headset can not control the media playback

Status in Canonical System Image:
  Triaged
Status in bluez package in Ubuntu:
  Triaged
Status in media-hub package in Ubuntu:
  Invalid
Status in media-hub package in Ubuntu RTM:
  Invalid

Bug description:
  [Preconditions]
  1.The DUT pair with bluetooth headset

  [Procedures]
  1.Play a video using the mediaplayer-app
  2.Play/pause video by bluetooth headset

  [Expect results]
  The bluetooth headset can play/pause video
  [Actual results]
  The bluetooth headset can not control the video playback.

  [Reproduce]
  Always

  Same for audio playback

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1398193/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1620636] Re: Fails to pair with Bose QC35 headphones

2017-01-20 Thread Jim Hodapp
@Wesley: I would also add, did you know that you can place this
headphone in BT pairing mode by first switching it on and then holding
that same switch as far away from the off position as possible for a
second or two? You don't need the Bose Connect app to put it in pairing
mode then.

** Changed in: canonical-devices-system-image
 Assignee: John McAleely (john.mcaleely) => Jim Hodapp (jhodapp)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1620636

Title:
  Fails to pair with Bose QC35 headphones

Status in Canonical System Image:
  In Progress
Status in bluez package in Ubuntu:
  In Progress

Bug description:
  I am unable to pair the Bose QC35 BT headphones with Ubuntu, either
  Ubuntu desktop running 16.04 LTS with bluez 5.37 (also tried bluez
  5.41 from installed from yakkety archive), nor using Ubuntu Touch rc-
  proposed build for Turbo #174. I'm trying to pair through the normal
  bluetooth control panel brought up through the bluetooth indicator.

  I've attached some logs that show it failing to pair. If I can provide
  anymore useful information about the headphones, please let me know.

  Syslog with bluetoothd debugging enabled:
  http://pastebin.ubuntu.com/23141394/

  btmon output:
  http://pastebin.ubuntu.com/23141446/

  bluetoothctl output:
  http://pastebin.ubuntu.com/23141510/

  With Linux kernel 4.8.0 and bluez 4.52:
  ---

  bluetoothctl: http://pastebin.ubuntu.com/23256457/
  btmon: http://pastebin.ubuntu.com/23256471/

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1620636/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1620636] Re: Fails to pair with Bose QC35 headphones

2016-12-13 Thread Jim Hodapp
@Robin: yeah after a reboot or after simply turning the headphones on
and off again, pairing doesn't work. I need to use the Bose Connect app
on my phone to delete the remembered pairing, delete it from Ubuntu, and
add a new pairing from the app and pair from Ubuntu. Only then does it
work.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1620636

Title:
  Fails to pair with Bose QC35 headphones

Status in Canonical System Image:
  In Progress
Status in bluez package in Ubuntu:
  In Progress

Bug description:
  I am unable to pair the Bose QC35 BT headphones with Ubuntu, either
  Ubuntu desktop running 16.04 LTS with bluez 5.37 (also tried bluez
  5.41 from installed from yakkety archive), nor using Ubuntu Touch rc-
  proposed build for Turbo #174. I'm trying to pair through the normal
  bluetooth control panel brought up through the bluetooth indicator.

  I've attached some logs that show it failing to pair. If I can provide
  anymore useful information about the headphones, please let me know.

  Syslog with bluetoothd debugging enabled:
  http://pastebin.ubuntu.com/23141394/

  btmon output:
  http://pastebin.ubuntu.com/23141446/

  bluetoothctl output:
  http://pastebin.ubuntu.com/23141510/

  With Linux kernel 4.8.0 and bluez 4.52:
  ---

  bluetoothctl: http://pastebin.ubuntu.com/23256457/
  btmon: http://pastebin.ubuntu.com/23256471/

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1620636/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1633046] Re: Pressing play/pause hotkey hangs U8 session

2016-12-08 Thread Jim Hodapp
@Will: thanks for confirming that. I removed media-hub from the list of
affected packages.

** No longer affects: media-hub (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1633046

Title:
  Pressing play/pause hotkey hangs U8 session

Status in Canonical System Image:
  Confirmed
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  Log in to a U8 session in 16.10.
  Press the play/pause hotkey.
  Note that the session is now hung.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1633046/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1633046] Re: Pressing play/pause hotkey hangs U8 session

2016-12-07 Thread Jim Hodapp
@Will: Are you sure media-hub is running in this session and actually
being utilized? Check in ~/.cache/upstart/media-hub.log (this log may be
located elsewhere in Unity8 session on the desktop, I'm not entirely
sure).

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1633046

Title:
  Pressing play/pause hotkey hangs U8 session

Status in media-hub package in Ubuntu:
  New
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  Log in to a U8 session in 16.10.
  Press the play/pause hotkey.
  Note that the session is now hung.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/media-hub/+bug/1633046/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1544477] Re: No sound notification for new SMS (Ubuntu Touch)

2016-12-06 Thread Jim Hodapp
Reply back here if anything like this comes up again and we can discuss
re-opening this bug.

** Changed in: media-hub (Ubuntu)
   Status: Incomplete => Invalid

** Changed in: pulseaudio (Ubuntu)
   Status: Incomplete => Invalid

** Changed in: qtmultimedia-opensource-src (Ubuntu)
   Status: Confirmed => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtmultimedia-opensource-
src in Ubuntu.
https://bugs.launchpad.net/bugs/1544477

Title:
  No sound notification for new SMS (Ubuntu Touch)

Status in Canonical System Image:
  Fix Released
Status in indicator-sound package in Ubuntu:
  Invalid
Status in media-hub package in Ubuntu:
  Invalid
Status in pulseaudio package in Ubuntu:
  Invalid
Status in qtmultimedia-opensource-src package in Ubuntu:
  Invalid
Status in telephony-service package in Ubuntu:
  Fix Released
Status in unity8 package in Ubuntu:
  Fix Released

Bug description:
  I noticed for last 2-3 days there is no sound notification for a new
  SMS, but there's a blinking green LED notification. Also in the
  indicator menu the envelope icon turns green and the new SMS is listed
  as usual. Things are working alright for Telegram, Gmail etc.
  (sound+LED+indicator menu).

  Device: bq Aquaris E5 HD, Ubuntu 15.04 (OTA-9)

  UPDATE: Screenshots get silent too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1544477/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1620636] Re: Fails to pair with Bose QC35 headphones

2016-11-28 Thread Jim Hodapp
@Robin: Yeah I've been able to get mine working as well. Were you trying
with Ubuntu desktop or on Ubuntu Touch? The choppiness seems to be bluez
doing other device scans. So on Touch, if you make sure that system
settings is in the background, it should remain nearly chop-free. On the
desktop, it stopped scanning if I closed system settings and then got a
lot better quality.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1620636

Title:
  Fails to pair with Bose QC35 headphones

Status in Canonical System Image:
  In Progress
Status in bluez package in Ubuntu:
  In Progress

Bug description:
  I am unable to pair the Bose QC35 BT headphones with Ubuntu, either
  Ubuntu desktop running 16.04 LTS with bluez 5.37 (also tried bluez
  5.41 from installed from yakkety archive), nor using Ubuntu Touch rc-
  proposed build for Turbo #174. I'm trying to pair through the normal
  bluetooth control panel brought up through the bluetooth indicator.

  I've attached some logs that show it failing to pair. If I can provide
  anymore useful information about the headphones, please let me know.

  Syslog with bluetoothd debugging enabled:
  http://pastebin.ubuntu.com/23141394/

  btmon output:
  http://pastebin.ubuntu.com/23141446/

  bluetoothctl output:
  http://pastebin.ubuntu.com/23141510/

  With Linux kernel 4.8.0 and bluez 4.52:
  ---

  bluetoothctl: http://pastebin.ubuntu.com/23256457/
  btmon: http://pastebin.ubuntu.com/23256471/

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1620636/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1635668] [NEW] [OptiPlex 7010, ATI R6xx HDMI, Digital Out, HDMI] Sound is distorted

2016-11-18 Thread Jim Tarvid
Replaced the Radeon with a Geforce 710 eliminating a Cirago DisplayPort to
HDMI adapter and the problem went away.

On Fri, Oct 21, 2016 at 12:09 PM, Jim Tarvid <tar...@ls.net> wrote:

> Public bug reported:
>
> This defect is not apparent on two other Ubuntu 16.04 machines. The
> upgrade to 16.10 did not change the symptoms.
>
> lsb_release -rd
> Description:Ubuntu 16.10
> Release:16.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.8.0-26.28-generic 4.8.0
> Uname: Linux 4.8.0-26-generic x86_64
> ApportVersion: 2.20.3-0ubuntu8
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Fri Oct 21 11:53:54 2016
> InstallationDate: Installed on 2016-09-22 (29 days ago)
> InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64
> (20160719)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:HDMI failed
> Symptom_Card: Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series]
> - HDA ATI HDMI
> Symptom_Jack: Digital Out, HDMI
> Symptom_Type: Digital clip or distortion, or "overdriven" sound
> Title: [OptiPlex 7010, ATI R6xx HDMI, Digital Out, HDMI] Sound is distorted
> UpgradeStatus: Upgraded to yakkety on 2016-10-21 (0 days ago)
> dmi.bios.date: 09/19/2012
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A08
> dmi.board.name: 0773VG
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A01
> dmi.chassis.type: 3
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias: dmi:bvnDellInc.:bvrA08:bd09/19/2012:svnDellInc.:
> pnOptiPlex7010:pvr01:rvnDellInc.:rn0773VG:rvrA01:cvnDellInc.:ct3:cvr:
> dmi.product.name: OptiPlex 7010
> dmi.product.version: 01
> dmi.sys.vendor: Dell Inc.
>
> ** Affects: alsa-driver (Ubuntu)
>  Importance: Undecided
>  Status: New
>
>
> ** Tags: amd64 apport-bug yakkety
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1635668
>
> Title:
>   [OptiPlex 7010, ATI R6xx HDMI, Digital Out, HDMI] Sound is distorted
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+
> bug/1635668/+subscriptions
>


--

Kindness Works!
Jim Tarvid
12897A Grays Pointe Road, Fairfax, Va 22033-2143
38.87782, -77.39270
703-657-0099 Condo
703-624-5289 Cell
703-594-7297 Google voice
202-753-0025 Tablet
http://ls.net

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1635668

Title:
  [OptiPlex 7010, ATI R6xx HDMI, Digital Out, HDMI] Sound is distorted

Status in alsa-driver package in Ubuntu:
  New

Bug description:
  This defect is not apparent on two other Ubuntu 16.04 machines. The
  upgrade to 16.10 did not change the symptoms.

  lsb_release -rd
  Description:  Ubuntu 16.10
  Release:  16.10

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.8.0-26.28-generic 4.8.0
  Uname: Linux 4.8.0-26-generic x86_64
  ApportVersion: 2.20.3-0ubuntu8
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Fri Oct 21 11:53:54 2016
  InstallationDate: Installed on 2016-09-22 (29 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:HDMI failed
  Symptom_Card: Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series] - 
HDA ATI HDMI
  Symptom_Jack: Digital Out, HDMI
  Symptom_Type: Digital clip or distortion, or "overdriven" sound
  Title: [OptiPlex 7010, ATI R6xx HDMI, Digital Out, HDMI] Sound is distorted
  UpgradeStatus: Upgraded to yakkety on 2016-10-21 (0 days ago)
  dmi.bios.date: 09/19/2012
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A08
  dmi.board.name: 0773VG
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A01
  dmi.chassis.type: 3
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA08:bd09/19/2012:svnDellInc.:pnOptiPlex7010:pvr01:rvnDellInc.:rn0773VG:rvrA01:cvnDellInc.:ct3:cvr:
  dmi.product.name: OptiPlex 7010
  dmi.product.version: 01
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1635668/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1612367] Re: [Touch] Incoming call gets silent randomly

2016-11-17 Thread Jim Hodapp
@Andrea, Anupam, Robie: That's interesting indeed and might explain why
I've never been able to reproduce this myself. I would always have been
actively engaged with the phone when trying to reproduce this.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1612367

Title:
  [Touch] Incoming call gets silent randomly

Status in Canonical System Image:
  Confirmed
Status in media-hub package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  I've experienced this strange issue 4-5 times after OTA-12. It seems pretty 
random and is hard to reproduce.
  When I get an incoming call, the screen turns on, the incoming call pop up 
appears, but there is no sound at all even though the phone is not in silent 
mode (and also the speaker volume is not set too low). I can accept this call 
and keep conversing as usual.
  Once I asked the same caller to call me once again after a few minutes, that 
time the phone rang as expected.

  Device: E5, OTA-12, stable channel

  I can provide necessary logs if this happens again. Which ones should
  I gather?

  Possibly related to bug #1614943.

  UPDATE: As mentioned in comment #7, it seems the phone rings for a
  fraction of a second and then the sound pauses abruptly.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1612367/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1612367] Re: [Touch] Incoming call gets silent randomly

2016-11-14 Thread Jim Hodapp
@Andrea: media-hub manages the playback state of nearly all playback
sessions on Ubuntu Touch. It utilizes pulseaudio for the sound server.
Any sounds coming from the web browser or web apps do not use media-hub.
Ringtone and notification sounds all go through media-hub for playback.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1612367

Title:
  [Touch] Incoming call gets silent randomly

Status in Canonical System Image:
  Confirmed
Status in media-hub package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  I've experienced this strange issue 4-5 times after OTA-12. It seems pretty 
random and is hard to reproduce.
  When I get an incoming call, the screen turns on, the incoming call pop up 
appears, but there is no sound at all even though the phone is not in silent 
mode (and also the speaker volume is not set too low). I can accept this call 
and keep conversing as usual.
  Once I asked the same caller to call me once again after a few minutes, that 
time the phone rang as expected.

  Device: E5, OTA-12, stable channel

  I can provide necessary logs if this happens again. Which ones should
  I gather?

  Possibly related to bug #1614943.

  UPDATE: As mentioned in comment #7, it seems the phone rings for a
  fraction of a second and then the sound pauses abruptly.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1612367/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1634261] Re: wrong aspect ratio for video playback

2016-11-10 Thread Jim Hodapp
I can confirm that the aspect ratio is incorrect, both for the inline
video scope playback and in mediaplayer-app. It seems to be stretch
vertically.

** Also affects: qtvideo-node (Ubuntu)
   Importance: Undecided
   Status: New

** Project changed: mediaplayer-app => media-hub

** Project changed: media-hub => media-hub (Ubuntu)

** Changed in: media-hub (Ubuntu)
   Status: New => Triaged

** Changed in: qtvideo-node (Ubuntu)
   Status: New => Triaged

** Changed in: media-hub (Ubuntu)
   Importance: Undecided => Medium

** Changed in: qtvideo-node (Ubuntu)
   Importance: Undecided => Medium

** Summary changed:

- wrong aspect ratio for video playback
+ Wrong aspect ratio for video playback

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtvideo-node in Ubuntu.
https://bugs.launchpad.net/bugs/1634261

Title:
  Wrong aspect ratio for video playback

Status in media-hub package in Ubuntu:
  Triaged
Status in qtvideo-node package in Ubuntu:
  Triaged

Bug description:
  On my BQ M10, some MP4 videos have a wrong aspect ratio when played.

  While the preview picture is displayed correctly, the playback of
  video has wrong aspect ratio.

  The MP4-video is 16:9 with 720x576 pixels and seems to be played back
  without pixel aspect ratio correction. This is annoying.

  The video file itself seems to be OK as it is played back correctly
  with vlc, mplayer and totem on my desktop system.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/media-hub/+bug/1634261/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1634261] Re: Wrong aspect ratio for video playback

2016-11-10 Thread Jim Hodapp
Btw, I confirmed this on turbo running image #r219.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtvideo-node in Ubuntu.
https://bugs.launchpad.net/bugs/1634261

Title:
  Wrong aspect ratio for video playback

Status in media-hub package in Ubuntu:
  Triaged
Status in qtvideo-node package in Ubuntu:
  Triaged

Bug description:
  On my BQ M10, some MP4 videos have a wrong aspect ratio when played.

  While the preview picture is displayed correctly, the playback of
  video has wrong aspect ratio.

  The MP4-video is 16:9 with 720x576 pixels and seems to be played back
  without pixel aspect ratio correction. This is annoying.

  The video file itself seems to be OK as it is played back correctly
  with vlc, mplayer and totem on my desktop system.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/media-hub/+bug/1634261/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1638689] [NEW] package libnss3 2:3.23-0ubuntu0.14.04.1 [modified: usr/share/doc/libnss3/changelog.Debian.gz] failed to install/upgrade: trying to overwrite shared '/usr/share/doc

2016-11-02 Thread Jim Lawrence
Public bug reported:

sudo aptitude upgrade
...
Unpacking libapt-pkg4.12:amd64 (1.0.1ubuntu2.15) over (1.0.1ubuntu2.14) ...
Errors were encountered while processing:
 /var/cache/apt/archives/libnss3_2%3a3.23-0ubuntu0.14.04.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up libapt-pkg4.12:amd64 (1.0.1ubuntu2.15) ...
Setting up libnspr4:i386 (2:4.12-0ubuntu0.14.04.1) ...
dpkg: dependency problems prevent configuration of libnss3-1d:i386:
 libnss3-1d:i386 depends on libnss3 (= 2:3.23-0ubuntu0.14.04.1); however:
  Version of libnss3:i386 on system is 2:3.16.3-1ubuntu1.

dpkg: error processing package libnss3-1d:i386 (--configure):
 dependency problems - leaving unconfigured
dpkg: error processing package libnss3:amd64 (--configure):
 package libnss3:amd64 2:3.23-0ubuntu0.14.04.1 cannot be configured because 
libnss3:i386 is at a different version (2:3.16.3-1ubuntu1)
dpkg: error processing package libnss3:i386 (--configure):
 package libnss3:i386 2:3.16.3-1ubuntu1 cannot be configured because 
libnss3:amd64 is at a different version (2:3.23-0ubuntu0.14.04.1)
dpkg: dependency problems prevent configuration of libnss3-nssdb:
 libnss3-nssdb depends on libnss3 (= 2:3.23-0ubuntu0.14.04.1); however:
  Package libnss3:amd64 is not configured yet.

dpkg: error processing package libnss3-nssdb (--configure):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
Errors were encountered while processing:
 libnss3-1d:i386
 libnss3:amd64
 libnss3:i386
 libnss3-nssdb


Description:Ubuntu 14.04.5 LTS
Release:14.04

ProblemType: Package
DistroRelease: Ubuntu 14.04
Package: libnss3 2:3.23-0ubuntu0.14.04.1 [modified: 
usr/share/doc/libnss3/changelog.Debian.gz]
ProcVersionSignature: Ubuntu 3.19.0-68.76~14.04.1-generic 3.19.8-ckt22
Uname: Linux 3.19.0-68-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.21
Architecture: amd64
Date: Wed Nov  2 12:32:54 2016
DuplicateSignature: package:libnss3:2:3.23-0ubuntu0.14.04.1 [modified: 
usr/share/doc/libnss3/changelog.Debian.gz]:trying to overwrite shared 
'/usr/share/doc/libnss3/changelog.Debian.gz', which is different from other 
instances of package libnss3:i386
ErrorMessage: trying to overwrite shared 
'/usr/share/doc/libnss3/changelog.Debian.gz', which is different from other 
instances of package libnss3:i386
InstallationDate: Installed on 2015-09-22 (407 days ago)
InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
RelatedPackageVersions:
 dpkg 1.17.5ubuntu5.7
 apt  1.0.1ubuntu2.14
SourcePackage: nss
Title: package libnss3 2:3.23-0ubuntu0.14.04.1 [modified: 
usr/share/doc/libnss3/changelog.Debian.gz] failed to install/upgrade: trying to 
overwrite shared '/usr/share/doc/libnss3/changelog.Debian.gz', which is 
different from other instances of package libnss3:i386
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: nss (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package need-duplicate-check package-conflict trusty

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1638689

Title:
  package libnss3 2:3.23-0ubuntu0.14.04.1 [modified:
  usr/share/doc/libnss3/changelog.Debian.gz] failed to install/upgrade:
  trying to overwrite shared
  '/usr/share/doc/libnss3/changelog.Debian.gz', which is different from
  other instances of package libnss3:i386

Status in nss package in Ubuntu:
  New

Bug description:
  sudo aptitude upgrade
  ...
  Unpacking libapt-pkg4.12:amd64 (1.0.1ubuntu2.15) over (1.0.1ubuntu2.14) ...
  Errors were encountered while processing:
   /var/cache/apt/archives/libnss3_2%3a3.23-0ubuntu0.14.04.1_i386.deb
  E: Sub-process /usr/bin/dpkg returned an error code (1)
  A package failed to install.  Trying to recover:
  Setting up libapt-pkg4.12:amd64 (1.0.1ubuntu2.15) ...
  Setting up libnspr4:i386 (2:4.12-0ubuntu0.14.04.1) ...
  dpkg: dependency problems prevent configuration of libnss3-1d:i386:
   libnss3-1d:i386 depends on libnss3 (= 2:3.23-0ubuntu0.14.04.1); however:
Version of libnss3:i386 on system is 2:3.16.3-1ubuntu1.

  dpkg: error processing package libnss3-1d:i386 (--configure):
   dependency problems - leaving unconfigured
  dpkg: error processing package libnss3:amd64 (--configure):
   package libnss3:amd64 2:3.23-0ubuntu0.14.04.1 cannot be configured because 
libnss3:i386 is at a different version (2:3.16.3-1ubuntu1)
  dpkg: error processing package libnss3:i386 (--configure):
   package libnss3:i386 2:3.16.3-1ubuntu1 cannot be configured because 
libnss3:amd64 is at a different version (2:3.23-0ubuntu0.14.04.1)
  dpkg: dependency problems prevent configuration of libnss3-nssdb:
   libnss3-nssdb depends on libnss3 (= 2:3.23-0ubuntu0.14.04.1); however:
Package libnss3:amd64 is not configured yet.

  dpkg: 

[Touch-packages] [Bug 1630399] Re: [Phone] Please enable opus audio codec support in qtmultimedia

2016-11-02 Thread Jim Hodapp
Will get to landing the QtMultimedia patch sometime soon.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtmultimedia-opensource-
src in Ubuntu.
https://bugs.launchpad.net/bugs/1630399

Title:
  [Phone] Please enable opus audio codec support in qtmultimedia

Status in Canonical System Image:
  New
Status in gst-plugins-bad0.10 package in Ubuntu:
  In Progress
Status in qtmultimedia-opensource-src package in Ubuntu:
  In Progress

Bug description:
  Hi, as described in QTBUG-50567 [1], qtmultimedia doesn't support opus
  audio codec so for example we cannot record Telegram voice messages (
  bug #1460464 and bug #1375179 ).

  I patched qtmultimedia adding the support for audio/x-opus codec
  through opusdec encoder in qtmultimedia, then I found qtmultimedia
  5.4.1 (shipped with Ubuntu Phone vivid) is built against gstreamer0.10
  and, as gstreamer0.10-plugins-bad packages is not installed by
  default, opusdec encoder is not available.

  I'm working on this bug, I created it to track the progress, in order
  to add opus support I have to:

  1 - create a new gstreamer0.10-opus package containing only the
  opusdec plugin: I don't know whether I have to create a new source
  package containing opusdec sources or only a new .deb package
  (generated from gst-plugins-bad0.10 sources). I'm working on the
  latter as gst-plugins-bad0.10 package requires work in any ways.

  2 - properly patch qtmultimedia source, I'm attaching a 
working-but-needs-cleanup patch. I think some opus declarations in the attached 
patch can be avoided, but I haven't had time to work on it so I'm attaching the 
patch I tested (requires gstreamer0.10-plugins-bad).
  I don't know if qtmultimedia xenial/yakkety versions requires the patch too, 
I haven't checked them yet.

  [1] https://bugreports.qt.io/browse/QTBUG-50567

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1630399/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1635775] Re: No sound unity8 apps 16.10

2016-10-27 Thread Jim Hodapp
This will need to see if it's reproducible for anyone else in order to
begin to determine what package this should be properly filed under.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1635775

Title:
  No sound unity8 apps 16.10

Status in Canonical System Image:
  Incomplete
Status in media-hub package in Ubuntu:
  Incomplete
Status in unity8 package in Ubuntu:
  Incomplete

Bug description:
  Testing on a Lenovo Thinkpad X220T running fresh install of Ubuntu
  16.10. Running Checkbox passes the sound tests (as audio is played),
  but when using unity8 apps no sound comes out. However, sound does
  come out from Libertine containerized apps.

  For example, I can be running the default Browser app playing a video,
  and no sound will come out. However, when playing the same video under
  Firefox or playing music in Pithos in a Libertine container, sound
  works fine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1635775/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1635775] Re: No sound unity8 apps 16.10

2016-10-27 Thread Jim Hodapp
@Ben: ok thanks for checking on that. So the issue is not with media-hub
then since qtubuntu-media is required for the Unity8 apps to utilize
media-hub. Without qtubuntu-media installed, the apps will use the
default gstreamer-based plugin in QtMultimedia that should utilize the
pulsesink in gstreamer. The issue lies somewhere there.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1635775

Title:
  No sound unity8 apps 16.10

Status in Canonical System Image:
  Incomplete
Status in media-hub package in Ubuntu:
  Incomplete
Status in unity8 package in Ubuntu:
  Incomplete

Bug description:
  Testing on a Lenovo Thinkpad X220T running fresh install of Ubuntu
  16.10. Running Checkbox passes the sound tests (as audio is played),
  but when using unity8 apps no sound comes out. However, sound does
  come out from Libertine containerized apps.

  For example, I can be running the default Browser app playing a video,
  and no sound will come out. However, when playing the same video under
  Firefox or playing music in Pithos in a Libertine container, sound
  works fine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1635775/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1551351] Re: dhclient does not renew leases

2016-10-24 Thread Jim Salter
I am also still affected by this bug. I build small Ubuntu-based
routers, and the ones running Xenial are very likely to fail to get new
leases after the connection drops from the ISP, or if they're booted
while the connection to the ISP / the ISP's edge device is down.

I'm having to resort to monkey-patching and cron-jobs to reliably get IP
addresses on systems without NetworkManager, and it really stinks. =\

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to isc-dhcp in Ubuntu.
https://bugs.launchpad.net/bugs/1551351

Title:
  dhclient does not renew leases

Status in bind9 package in Ubuntu:
  Fix Released
Status in isc-dhcp package in Ubuntu:
  Fix Released
Status in bind9 source package in Xenial:
  Fix Released
Status in isc-dhcp source package in Xenial:
  Fix Released

Bug description:
  Release: Xenial

  I think this only recently started after some bind9 updates triggered a 
rebuild. When booting dhclient gets started and acquires an IP address, but it 
does seem to lock up somewhere as it does not renew the lease.
  In my environment I set the lease time to 5 minutes, so I notice such things 
rather soon. I looked on the dhcp server side but saw any further dhcp messages 
come in from the client side.

  Related bugs:
   * bug 1551415:  systemctl stop networking hang / timeout 

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: isc-dhcp-client 4.3.3-5ubuntu8
  ProcVersionSignature: Ubuntu 4.4.0-9.24-generic 4.4.3
  Uname: Linux 4.4.0-9-generic x86_64
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  Date: Mon Feb 29 12:32:52 2016
  DhclientLeases:

  SourcePackage: isc-dhcp
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bind9/+bug/1551351/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1635775] Re: No sound unity8 apps 16.10

2016-10-24 Thread Jim Hodapp
@Ben: can you please check if qtubuntu-media is installed on your
system?

** Changed in: media-hub (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1635775

Title:
  No sound unity8 apps 16.10

Status in media-hub package in Ubuntu:
  Incomplete
Status in unity8 package in Ubuntu:
  Incomplete

Bug description:
  Testing on a Lenovo Thinkpad X220T running fresh install of Ubuntu
  16.10. Running Checkbox passes the sound tests (as audio is played),
  but when using unity8 apps no sound comes out. However, sound does
  come out from Libertine containerized apps.

  For example, I can be running the default Browser app playing a video,
  and no sound will come out. However, when playing the same video under
  Firefox or playing music in Pithos in a Libertine container, sound
  works fine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/media-hub/+bug/1635775/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1635668] [NEW] [OptiPlex 7010, ATI R6xx HDMI, Digital Out, HDMI] Sound is distorted

2016-10-21 Thread Jim Tarvid
Public bug reported:

This defect is not apparent on two other Ubuntu 16.04 machines. The
upgrade to 16.10 did not change the symptoms.

lsb_release -rd
Description:Ubuntu 16.10
Release:16.10

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: alsa-base 1.0.25+dfsg-0ubuntu5
ProcVersionSignature: Ubuntu 4.8.0-26.28-generic 4.8.0
Uname: Linux 4.8.0-26-generic x86_64
ApportVersion: 2.20.3-0ubuntu8
Architecture: amd64
CurrentDesktop: Unity
Date: Fri Oct 21 11:53:54 2016
InstallationDate: Installed on 2016-09-22 (29 days ago)
InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:HDMI failed
Symptom_Card: Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series] - HDA 
ATI HDMI
Symptom_Jack: Digital Out, HDMI
Symptom_Type: Digital clip or distortion, or "overdriven" sound
Title: [OptiPlex 7010, ATI R6xx HDMI, Digital Out, HDMI] Sound is distorted
UpgradeStatus: Upgraded to yakkety on 2016-10-21 (0 days ago)
dmi.bios.date: 09/19/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A08
dmi.board.name: 0773VG
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.modalias: 
dmi:bvnDellInc.:bvrA08:bd09/19/2012:svnDellInc.:pnOptiPlex7010:pvr01:rvnDellInc.:rn0773VG:rvrA01:cvnDellInc.:ct3:cvr:
dmi.product.name: OptiPlex 7010
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

** Affects: alsa-driver (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug yakkety

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1635668

Title:
  [OptiPlex 7010, ATI R6xx HDMI, Digital Out, HDMI] Sound is distorted

Status in alsa-driver package in Ubuntu:
  New

Bug description:
  This defect is not apparent on two other Ubuntu 16.04 machines. The
  upgrade to 16.10 did not change the symptoms.

  lsb_release -rd
  Description:  Ubuntu 16.10
  Release:  16.10

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.8.0-26.28-generic 4.8.0
  Uname: Linux 4.8.0-26-generic x86_64
  ApportVersion: 2.20.3-0ubuntu8
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Fri Oct 21 11:53:54 2016
  InstallationDate: Installed on 2016-09-22 (29 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:HDMI failed
  Symptom_Card: Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series] - 
HDA ATI HDMI
  Symptom_Jack: Digital Out, HDMI
  Symptom_Type: Digital clip or distortion, or "overdriven" sound
  Title: [OptiPlex 7010, ATI R6xx HDMI, Digital Out, HDMI] Sound is distorted
  UpgradeStatus: Upgraded to yakkety on 2016-10-21 (0 days ago)
  dmi.bios.date: 09/19/2012
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A08
  dmi.board.name: 0773VG
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A01
  dmi.chassis.type: 3
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA08:bd09/19/2012:svnDellInc.:pnOptiPlex7010:pvr01:rvnDellInc.:rn0773VG:rvrA01:cvnDellInc.:ct3:cvr:
  dmi.product.name: OptiPlex 7010
  dmi.product.version: 01
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1635668/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1034928] Re: Fontconfig warning: Having multiple values in isn't supported and may not works as expected

2016-10-18 Thread Jim Cline
This bug is easy to fix.  For example, it will be caused by a section
like this:


  zh-cn
  zh-sg


The correct syntax would be


  zh-cn


  zh-sg


-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to fonts-arphic-ukai in
Ubuntu.
https://bugs.launchpad.net/bugs/1034928

Title:
  Fontconfig warning: Having multiple values in  isn't supported
  and may not works as expected

Status in culmus package in Ubuntu:
  Fix Released
Status in fonts-arphic-ukai package in Ubuntu:
  Fix Released
Status in fonts-arphic-uming package in Ubuntu:
  Fix Released
Status in fonts-baekmuk package in Ubuntu:
  Fix Released
Status in fonts-droid package in Ubuntu:
  Fix Released
Status in fonts-nanum package in Ubuntu:
  Fix Released
Status in fonts-nanum-coding package in Ubuntu:
  Fix Released
Status in fonts-sil-andika package in Ubuntu:
  Fix Released
Status in fonts-tlwg package in Ubuntu:
  Fix Released
Status in fonts-unfonts-core package in Ubuntu:
  Fix Released
Status in fonts-unfonts-extra package in Ubuntu:
  Fix Released
Status in language-selector package in Ubuntu:
  Fix Released
Status in libreoffice package in Ubuntu:
  Fix Released
Status in ttf-wqy-zenhei package in Ubuntu:
  Fix Released
Status in culmus source package in Quantal:
  Fix Released
Status in fonts-arphic-ukai source package in Quantal:
  Fix Released
Status in fonts-arphic-uming source package in Quantal:
  Fix Released
Status in fonts-baekmuk source package in Quantal:
  Fix Released
Status in fonts-droid source package in Quantal:
  Fix Released
Status in fonts-nanum source package in Quantal:
  Fix Released
Status in fonts-nanum-coding source package in Quantal:
  Fix Released
Status in fonts-sil-andika source package in Quantal:
  Fix Released
Status in fonts-tlwg source package in Quantal:
  Fix Released
Status in fonts-unfonts-core source package in Quantal:
  Fix Released
Status in fonts-unfonts-extra source package in Quantal:
  Fix Released
Status in language-selector source package in Quantal:
  Fix Released
Status in ttf-wqy-zenhei source package in Quantal:
  Fix Released
Status in fonts-arphic-ukai package in Debian:
  Fix Released
Status in fonts-arphic-uming package in Debian:
  Fix Released
Status in fonts-baekmuk package in Debian:
  Fix Released
Status in fonts-droid package in Debian:
  Fix Released
Status in fonts-nanum package in Debian:
  Fix Released
Status in fonts-sil-andika package in Debian:
  Fix Released
Status in fonts-unfonts-core package in Debian:
  Fix Released
Status in fonts-unfonts-extra package in Debian:
  Fix Released
Status in ttf-wqy-zenhei package in Debian:
  New
Status in Fedora:
  Unknown

Bug description:
  In 12.10, fontconfig prints warnings similar to the following whenever
  fontconfig is invoked:

  Fontconfig warning: "/etc/fonts/conf.d/90-fonts-unfonts-core.conf",
  line 11: Having multiple values in  isn't supported and may not
  works as expected

  This affects fonts from a number of packages:
  fonts-arphic-ukai: /etc/fonts/conf.d/41-arphic-ukai.conf
  fonts-arphic-uming: /etc/fonts/conf.d/41-arphic-uming.conf
  fonts-droid: /etc/fonts/conf.d/65-droid-sans-fonts.conf
  fonts-tlwg-garuda: /etc/fonts/conf.d/89-tlwg-garuda-synthetic.conf
  fonts-tlwg-kinnari: /etc/fonts/conf.d/89-tlwg-kinnari-synthetic.conf
  fonts-tlwg-loma: /etc/fonts/conf.d/89-tlwg-loma-synthetic.conf
  fonts-tlwg-umpush: /etc/fonts/conf.d/89-tlwg-umpush-synthetic.conf
  fonts-nanum: /etc/fonts/conf.d/90-fonts-nanum.conf
  fonts-unfonts-core: /etc/fonts/conf.d/90-fonts-unfonts-core.conf

  [Test Case]
  1) Install the fonts in question
  2) Open a terminal
  3) Launch 'gedit' from the terminal

  Expected results:
  gedit launches, no fontconfig warnings in the terminal

  Actual results:
  gedit launches, fontconfig warnings are displayed in the terminal

  [Regression Potential]
  In case of a regression, the font in question can be affected.

  ProblemType: Bug
  DistroRelease: Ubuntu 12.10
  Package: fonts-unfonts-core 1.0.3.is.1.0.2-080608-5ubuntu1
  ProcVersionSignature: Ubuntu 3.5.0-8.8-generic 3.5.0
  Uname: Linux 3.5.0-8-generic x86_64
  ApportVersion: 2.4-0ubuntu6
  Architecture: amd64
  Date: Thu Aug  9 10:02:59 2012
  Dependencies:

  InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta amd64 (20100901.1)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm
   PATH=(custom, user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: fonts-unfonts-core
  UpgradeStatus: Upgraded to quantal on 2012-08-07 (1 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/culmus/+bug/1034928/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1612367] Re: [Touch] Incoming call gets silent randomly

2016-10-18 Thread Jim Hodapp
@pat: have added this to the backlog of things to investigate. Will see
if it's possible to reliably reproduce this issue and identify the root
cause.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1612367

Title:
  [Touch] Incoming call gets silent randomly

Status in Canonical System Image:
  Confirmed
Status in media-hub package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  I've experienced this strange issue 4-5 times after OTA-12. It seems pretty 
random and is hard to reproduce.
  When I get an incoming call, the screen turns on, the incoming call pop up 
appears, but there is no sound at all even though the phone is not in silent 
mode (and also the speaker volume is not set too low). I can accept this call 
and keep conversing as usual.
  Once I asked the same caller to call me once again after a few minutes, that 
time the phone rang as expected.

  Device: E5, OTA-12, stable channel

  I can provide necessary logs if this happens again. Which ones should
  I gather?

  Possibly related to bug #1614943.

  UPDATE: As mentioned in comment #7, it seems the phone rings for a
  fraction of a second and then the sound pauses abruptly.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1612367/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1612367] Re: [Touch] Incoming call gets silent randomly

2016-10-04 Thread Jim Hodapp
@Pat: I was looking into this a bit more the other day, reading the
attached logs. This no longer seems like a media-hub issue and instead
seems more like an issue at one of the higher software layers. If you
look at the time in the media-hub logs where Anupam has stated it
happened to him, you'll see media-hub try to play the ringtone and then
in less than 1 second it pauses it. It won't pause it itself so that
means it's most likely a bug at the controlling layer above the media
stack.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1612367

Title:
  [Touch] Incoming call gets silent randomly

Status in Canonical System Image:
  Confirmed
Status in media-hub package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  I've experienced this strange issue 4-5 times after OTA-12. It seems pretty 
random and is hard to reproduce.
  When I get an incoming call, the screen turns on, the incoming call pop up 
appears, but there is no sound at all even though the phone is not in silent 
mode (and also the speaker volume is not set too low). I can accept this call 
and keep conversing as usual.
  Once I asked the same caller to call me once again after a few minutes, that 
time the phone rang as expected.

  Device: E5, OTA-12, stable channel

  I can provide necessary logs if this happens again. Which ones should
  I gather?

  Possibly related to bug #1614943.

  UPDATE: As mentioned in comment #7, it seems the phone rings for a
  fraction of a second and then the sound pauses abruptly.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1612367/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1620636] Re: Fails to pair with Bose QC35 headphones

2016-09-30 Thread Jim Hodapp
** Description changed:

  I am unable to pair the Bose QC35 BT headphones with Ubuntu, either
  Ubuntu desktop running 16.04 LTS with bluez 5.37 (also tried bluez 5.41
  from installed from yakkety archive), nor using Ubuntu Touch rc-proposed
  build for Turbo #174. I'm trying to pair through the normal bluetooth
  control panel brought up through the bluetooth indicator.
  
  I've attached some logs that show it failing to pair. If I can provide
  anymore useful information about the headphones, please let me know.
  
  Syslog with bluetoothd debugging enabled:
  http://pastebin.ubuntu.com/23141394/
  
  btmon output:
  http://pastebin.ubuntu.com/23141446/
  
  bluetoothctl output:
  http://pastebin.ubuntu.com/23141510/
+ 
+ With Linux kernel 4.8.0 and bluez 4.52:
+ ---
+ http://pastebin.ubuntu.com/23256457/

** Description changed:

  I am unable to pair the Bose QC35 BT headphones with Ubuntu, either
  Ubuntu desktop running 16.04 LTS with bluez 5.37 (also tried bluez 5.41
  from installed from yakkety archive), nor using Ubuntu Touch rc-proposed
  build for Turbo #174. I'm trying to pair through the normal bluetooth
  control panel brought up through the bluetooth indicator.
  
  I've attached some logs that show it failing to pair. If I can provide
  anymore useful information about the headphones, please let me know.
  
  Syslog with bluetoothd debugging enabled:
  http://pastebin.ubuntu.com/23141394/
  
  btmon output:
  http://pastebin.ubuntu.com/23141446/
  
  bluetoothctl output:
  http://pastebin.ubuntu.com/23141510/
  
  With Linux kernel 4.8.0 and bluez 4.52:
  ---
- http://pastebin.ubuntu.com/23256457/
+ 
+ bluetoothctl: http://pastebin.ubuntu.com/23256457/
+ btmon: http://pastebin.ubuntu.com/23256471/

** Changed in: bluez (Ubuntu)
 Assignee: (unassigned) => Konrad Zapałowicz (kzapalowicz)

** Also affects: canonical-devices-system-image
   Importance: Undecided
   Status: New

** Changed in: canonical-devices-system-image
 Assignee: (unassigned) => John McAleely (john.mcaleely)

** Changed in: canonical-devices-system-image
   Importance: Undecided => High

** Changed in: bluez (Ubuntu)
   Importance: Undecided => High

** Changed in: canonical-devices-system-image
   Status: New => Triaged

** Changed in: bluez (Ubuntu)
   Status: New => In Progress

** Changed in: canonical-devices-system-image
   Status: Triaged => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1620636

Title:
  Fails to pair with Bose QC35 headphones

Status in Canonical System Image:
  In Progress
Status in bluez package in Ubuntu:
  In Progress

Bug description:
  I am unable to pair the Bose QC35 BT headphones with Ubuntu, either
  Ubuntu desktop running 16.04 LTS with bluez 5.37 (also tried bluez
  5.41 from installed from yakkety archive), nor using Ubuntu Touch rc-
  proposed build for Turbo #174. I'm trying to pair through the normal
  bluetooth control panel brought up through the bluetooth indicator.

  I've attached some logs that show it failing to pair. If I can provide
  anymore useful information about the headphones, please let me know.

  Syslog with bluetoothd debugging enabled:
  http://pastebin.ubuntu.com/23141394/

  btmon output:
  http://pastebin.ubuntu.com/23141446/

  bluetoothctl output:
  http://pastebin.ubuntu.com/23141510/

  With Linux kernel 4.8.0 and bluez 4.52:
  ---

  bluetoothctl: http://pastebin.ubuntu.com/23256457/
  btmon: http://pastebin.ubuntu.com/23256471/

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1620636/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1612367] Re: [Touch] Incoming call gets silent randomly

2016-09-28 Thread Jim Hodapp
Anupam: your last 3 comments have been the start of some useful
information. Thanks for observing more closely and providing the logs
along with time reference to look at the logs. Very helpful, thanks.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1612367

Title:
  [Touch] Incoming call gets silent randomly

Status in Canonical System Image:
  Confirmed
Status in media-hub package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  I've experienced this strange issue 4-5 times after OTA-12. It seems pretty 
random and is hard to reproduce.
  When I get an incoming call, the screen turns on, the incoming call pop up 
appears, but there is no sound at all even though the phone is not in silent 
mode (and also the speaker volume is not set too low). I can accept this call 
and keep conversing as usual.
  Once I asked the same caller to call me once again after a few minutes, that 
time the phone rang as expected.

  Device: E5, OTA-12, stable channel

  I can provide necessary logs if this happens again. Which ones should
  I gather?

  Possibly related to bug #1614943.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1612367/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1626164] Re: [MIR] mediaplayer-app

2016-09-27 Thread Jim Hodapp
Let's keep the autopilot stuff out of main.

Here's an MR from renato that adds some build tests:

https://code.launchpad.net/~renatofilho/mediaplayer-app/add-
unittest/+merge/306784

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mediaplayer-app in Ubuntu.
https://bugs.launchpad.net/bugs/1626164

Title:
  [MIR] mediaplayer-app

Status in mediaplayer-app:
  New
Status in mediaplayer-app package in Ubuntu:
  Incomplete

Bug description:
  [Availability]
   * Available in universe

  [Rationale]
   * This package is required by Unity8

  [Security]
   * No known security issues at this time. It has been reviewed by security in 
the past for use on the phone and is one of the oldest apps on the phone.

  [Quality assurance]
   * This package has both unit tests and Autopilot tests.

  [Dependencies]
   All dependencies are already in main with the exception of the following 
change needed:
   * MR: 
https://code.launchpad.net/~phablet-team/mediaplayer-app/mir-fixes/+merge/306350

  [Standards compliance]
   * This package uses cmake and is properly translated.

  [Maintenance]
   * This package is maintained by Canonical and actively in use on the phone 
images.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mediaplayer-app/+bug/1626164/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1612367] Re: [Touch] Incoming call gets silent randomly

2016-09-21 Thread Jim Hodapp
@Anupam: sorry to hear that you're still experiencing this issue. It's
been a difficult one to pin down indeed. I've yet to reproduce the same
symptoms that you're experiencing. That being said, if you can continue
to try and notice much more precise times that it occurs and document
those here, that will greatly help in us being able to reproduce this
issue and come up with a confident fix.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1612367

Title:
  [Touch] Incoming call gets silent randomly

Status in Canonical System Image:
  Confirmed
Status in media-hub package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  I've experienced this strange issue 4-5 times after OTA-12. It seems pretty 
random and is hard to reproduce.
  When I get an incoming call, the screen turns on, the incoming call pop up 
appears, but there is no sound at all even though the phone is not in silent 
mode (and also the speaker volume is not set too low). I can accept this call 
and keep conversing as usual.
  Once I asked the same caller to call me once again after a few minutes, that 
time the phone rang as expected.

  Device: E5, OTA-12, stable channel

  I can provide necessary logs if this happens again. Which ones should
  I gather?

  Possibly related to bug #1614943.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1612367/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1617975] Re: Image flickers when pressing the screen after video playing ends

2016-09-20 Thread Jim Hodapp
Thanks Saviq, I don't have this device so I've not seen it personally.
But that's very good info to have.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1617975

Title:
  Image flickers when pressing the screen after video playing ends

Status in Canonical System Image:
  New
Status in mediaplayer-app:
  New
Status in unity8 package in Ubuntu:
  Incomplete

Bug description:
  Enviroment:

  current build number: 176
  device name: frieza
  channel: ubuntu-touch/rc-proposed/bq-aquaris-pd.en
  last update: 2016-08-29 08:48:35
  version version: 176
  version ubuntu: 20160827
  version device: 20160809.0
  version custom: 20160805--42-20-vivid

  Camera app: com.ubuntu.camera 3.0.0.659

  Product: BQ M10 FHD
  Preconditions:

  Steps to reproduce:

  1º Record a video with Frieza
  2º Watch it with media player 
  3º Once it ends, tap the screen and check that image flickers

  Current result: Image flickers after playing a video
  Expected result: Pressing the screen should not make image flickers

  Reproducibility: 100%

  Add info: video attached

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1617975/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1617975] Re: Image flickers when pressing the screen after video playing ends

2016-09-20 Thread Jim Hodapp
I need an opinion from the Unity8 team on whether they think this might
be an issue with Unity8 or perhaps something more specific to
mediaplayer-app. I've not been able to reproduce this on any other
device other than frieza.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1617975

Title:
  Image flickers when pressing the screen after video playing ends

Status in Canonical System Image:
  New
Status in mediaplayer-app:
  New
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  Enviroment:

  current build number: 176
  device name: frieza
  channel: ubuntu-touch/rc-proposed/bq-aquaris-pd.en
  last update: 2016-08-29 08:48:35
  version version: 176
  version ubuntu: 20160827
  version device: 20160809.0
  version custom: 20160805--42-20-vivid

  Camera app: com.ubuntu.camera 3.0.0.659

  Product: BQ M10 FHD
  Preconditions:

  Steps to reproduce:

  1º Record a video with Frieza
  2º Watch it with media player 
  3º Once it ends, tap the screen and check that image flickers

  Current result: Image flickers after playing a video
  Expected result: Pressing the screen should not make image flickers

  Reproducibility: 100%

  Add info: video attached

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1617975/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1617975] Re: Image flickers when pressing the screen after video playing ends

2016-09-20 Thread Jim Hodapp
** Also affects: unity8 (Ubuntu)
   Importance: Undecided
   Status: New

** Also affects: canonical-devices-system-image
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1617975

Title:
  Image flickers when pressing the screen after video playing ends

Status in Canonical System Image:
  New
Status in mediaplayer-app:
  New
Status in unity8 package in Ubuntu:
  New

Bug description:
  Enviroment:

  current build number: 176
  device name: frieza
  channel: ubuntu-touch/rc-proposed/bq-aquaris-pd.en
  last update: 2016-08-29 08:48:35
  version version: 176
  version ubuntu: 20160827
  version device: 20160809.0
  version custom: 20160805--42-20-vivid

  Camera app: com.ubuntu.camera 3.0.0.659

  Product: BQ M10 FHD
  Preconditions:

  Steps to reproduce:

  1º Record a video with Frieza
  2º Watch it with media player 
  3º Once it ends, tap the screen and check that image flickers

  Current result: Image flickers after playing a video
  Expected result: Pressing the screen should not make image flickers

  Reproducibility: 100%

  Add info: video attached

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1617975/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1620636] [NEW] Fails to pair with Bose QC35 headphones

2016-09-06 Thread Jim Hodapp
Public bug reported:

I am unable to pair the Bose QC35 BT headphones with Ubuntu, either
Ubuntu desktop running 16.04 LTS with bluez 5.37 (also tried bluez 5.41
from installed from yakkety archive), nor using Ubuntu Touch rc-proposed
build for Turbo #174. I'm trying to pair through the normal bluetooth
control panel brought up through the bluetooth indicator.

I've attached some logs that show it failing to pair. If I can provide
anymore useful information about the headphones, please let me know.

Syslog with bluetoothd debugging enabled:
http://pastebin.ubuntu.com/23141394/

btmon output:
http://pastebin.ubuntu.com/23141446/

bluetoothctl output:
http://pastebin.ubuntu.com/23141510/

** Affects: bluez (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1620636

Title:
  Fails to pair with Bose QC35 headphones

Status in bluez package in Ubuntu:
  New

Bug description:
  I am unable to pair the Bose QC35 BT headphones with Ubuntu, either
  Ubuntu desktop running 16.04 LTS with bluez 5.37 (also tried bluez
  5.41 from installed from yakkety archive), nor using Ubuntu Touch rc-
  proposed build for Turbo #174. I'm trying to pair through the normal
  bluetooth control panel brought up through the bluetooth indicator.

  I've attached some logs that show it failing to pair. If I can provide
  anymore useful information about the headphones, please let me know.

  Syslog with bluetoothd debugging enabled:
  http://pastebin.ubuntu.com/23141394/

  btmon output:
  http://pastebin.ubuntu.com/23141446/

  bluetoothctl output:
  http://pastebin.ubuntu.com/23141510/

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1620636/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1612367] Re: [Touch] Incoming call gets silent randomly

2016-09-01 Thread Jim Hodapp
@Pat: that doesn't look right. For a normal case, you should only see
one Engine: playing uri: ...

Normal output should look like this:

[II 2016-09-01 12:58:26.995539] [engine.cpp:73@on_playbin_state_changed] State 
changed on playbin: READY
[II 2016-09-01 12:58:26.995731] [player_implementation.cpp:193@operator()] 
Emiting playback_status_changed signal: PlaybackStatus::ready
PulseAudio event for sink with index 0 received.
[II 2016-09-01 12:58:27.032896] 
[pulse_audio_output_observer.cpp:323@on_query_for_primary_sink_finished] 
Checking if port is available -> 0
PulseAudio sink details for sink.primary with index 0 is available:
  Output to wired headphone: false
  Output to wired headset: false
[DD 2016-09-01 12:58:27.199917] [track_list_skeleton.cpp:702@current_iterator] 
Wrapping d->current_track back to begin()
[DD 2016-09-01 12:58:27.201450] [player_implementation.cpp:129@operator()] 
Setting state for parent: 0xec838214
[II 2016-09-01 12:58:27.202742] [player_implementation.cpp:158@operator()] 
Requesting power state
[II 2016-09-01 12:58:27.203175] [engine.cpp:73@on_playbin_state_changed] State 
changed on playbin: PAUSED
[TT 2016-09-01 12:58:27.203987] 
[player_implementation.cpp:200@request_power_state] 
[II 2016-09-01 12:58:27.204181] 
[player_implementation.cpp:216@request_power_state] Requesting new system 
wakelock.
[TT 2016-09-01 12:58:27.204319] [state_controller.cpp:210@request_acquire] 
[II 2016-09-01 12:58:27.204794] 
[player_implementation.cpp:218@request_power_state] Requested new system 
wakelock.
[II 2016-09-01 12:58:27.204041] [player_implementation.cpp:193@operator()] 
Emiting playback_status_changed signal: PlaybackStatus::paused
[II 2016-09-01 12:58:27.207937] [engine.cpp:73@on_playbin_state_changed] State 
changed on playbin: PLAYING
[II 2016-09-01 12:58:27.208175] [player_implementation.cpp:193@operator()] 
Emiting playback_status_changed signal: PlaybackStatus::playing
[II 2016-09-01 12:58:27.210584] [player_implementation.cpp:94@operator()] 
Acquired new system state: SystemState::active
[II 2016-09-01 12:58:27.207938] [engine.cpp:455@play] Engine: playing uri: 
file:///usr/share/sounds/ubuntu/ringtones/Ubuntu.ogg
[II 2016-09-01 12:58:27.216218] [player_implementation.cpp:193@operator()] 
Emiting playback_status_changed signal: PlaybackStatus::playing

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1612367

Title:
  [Touch] Incoming call gets silent randomly

Status in Canonical System Image:
  Confirmed
Status in media-hub package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  I've experienced this strange issue 4-5 times after OTA-12. It seems pretty 
random and is hard to reproduce.
  When I get an incoming call, the screen turns on, the incoming call pop up 
appears, but there is no sound at all even though the phone is not in silent 
mode (and also the speaker volume is not set too low). I can accept this call 
and keep conversing as usual.
  Once I asked the same caller to call me once again after a few minutes, that 
time the phone rang as expected.

  Device: E5, OTA-12, stable channel

  I can provide necessary logs if this happens again. Which ones should
  I gather?

  Possibly related to bug #1614943.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1612367/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1612367] Re: [Touch] Incoming call gets silent randomly

2016-09-01 Thread Jim Hodapp
** Changed in: canonical-devices-system-image
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1612367

Title:
  [Touch] Incoming call gets silent randomly

Status in Canonical System Image:
  Confirmed
Status in media-hub package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  I've experienced this strange issue 4-5 times after OTA-12. It seems pretty 
random and is hard to reproduce.
  When I get an incoming call, the screen turns on, the incoming call pop up 
appears, but there is no sound at all even though the phone is not in silent 
mode (and also the speaker volume is not set too low). I can accept this call 
and keep conversing as usual.
  Once I asked the same caller to call me once again after a few minutes, that 
time the phone rang as expected.

  Device: E5, OTA-12, stable channel

  I can provide necessary logs if this happens again. Which ones should
  I gather?

  Possibly related to bug #1614943.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1612367/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1613056] Re: unity8.log spammed: Failed to get current playback position: org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature "ss" on interface "org.freedesktop

2016-08-31 Thread Jim Hodapp
You'll want to try again with OTA-13 once it's released. My hunch is
that it will greatly help in reducing this issue as various system
components will now be able to reconnect to media-hub-server after a
crash.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1613056

Title:
  unity8.log spammed: Failed to get current playback position:
  org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature
  "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

Status in media-hub package in Ubuntu:
  Incomplete
Status in qtubuntu-media package in Ubuntu:
  Invalid
Status in unity8 package in Ubuntu:
  Invalid

Bug description:
  BQ E5, OTA-12.

  I've noticed that my ~/.cache/upstart/unity8.log contains lot's of
  these messages, filled every second (file is around 6 Megs at time of
  writing):

  [2016-35-10:11:35:07.388] Failed to get current playback position:
  org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature
  "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

  [2016-35-10:11:35:08.388] Failed to get current playback position:
  org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature
  "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

  [2016-35-10:11:35:09.388] Failed to get current playback position:
  org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature
  "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

  I do not know what produces these, or since when it has started. These
  lines starts from beginning of log file, I cannot trace that event /
  app that started it.

  I've just rebooted, and these messages have stopped.

  There was no other app, except terminal where I was debugging,
  launched, no musig playing, etc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/media-hub/+bug/1613056/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1544477] Re: No sound notification for new SMS (Ubuntu Touch)

2016-08-24 Thread Jim Hodapp
Added qtmultimedia to the affected list to capture future effort to more
permanently fix this bug. Recovery after a media-hub-server crash really
belongs in qtmultimedia so that every supported client is able to
continue playback even after a media-hub-server crash.

** Changed in: telephony-service (Ubuntu)
   Status: In Progress => Fix Committed

** Changed in: unity8 (Ubuntu)
   Status: In Progress => Fix Committed

** Also affects: qtmultimedia-opensource-src (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: qtmultimedia-opensource-src (Ubuntu)
   Status: New => Confirmed

** Changed in: telephony-service (Ubuntu)
   Importance: Undecided => High

** Changed in: unity8 (Ubuntu)
   Importance: Undecided => High

** Changed in: qtmultimedia-opensource-src (Ubuntu)
   Importance: Undecided => High

** Changed in: indicator-sound (Ubuntu)
   Status: Incomplete => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1544477

Title:
  No sound notification for new SMS (Ubuntu Touch)

Status in Canonical System Image:
  In Progress
Status in indicator-sound package in Ubuntu:
  Invalid
Status in media-hub package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  Incomplete
Status in qtmultimedia-opensource-src package in Ubuntu:
  Confirmed
Status in telephony-service package in Ubuntu:
  Fix Committed
Status in unity8 package in Ubuntu:
  Fix Committed

Bug description:
  I noticed for last 2-3 days there is no sound notification for a new
  SMS, but there's a blinking green LED notification. Also in the
  indicator menu the envelope icon turns green and the new SMS is listed
  as usual. Things are working alright for Telegram, Gmail etc.
  (sound+LED+indicator menu).

  Device: bq Aquaris E5 HD, Ubuntu 15.04 (OTA-9)

  UPDATE: Screenshots get silent too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1544477/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1544477] Re: No sound notification for new SMS (Ubuntu Touch)

2016-08-22 Thread Jim Hodapp
@Alfonso: well it is *a* cause but not necessarily all causes. I knew
that this was reproducible if you killed media-hub-server or it crashed
on its own and I did take care of several cases of unhandled exceptions
that would cause media-hub-server to crash. Having said that, ahayzen is
working on a QML wrapper that will automatically restore a new Player
connection to media-hub-server after it has restarted along with some
basic state such as the Playlist items. We might be able to create a
similar thing in C++ that wraps QMediaPlayer so that it could be used by
all platform supported playback sessions. Doing the restoration from
qtubuntu-media just wasn't really possible given how QtMultimedia is
written.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1544477

Title:
  No sound notification for new SMS (Ubuntu Touch)

Status in Canonical System Image:
  Incomplete
Status in indicator-sound package in Ubuntu:
  Incomplete
Status in media-hub package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Incomplete
Status in unity8 package in Ubuntu:
  Incomplete

Bug description:
  I noticed for last 2-3 days there is no sound notification for a new
  SMS, but there's a blinking green LED notification. Also in the
  indicator menu the envelope icon turns green and the new SMS is listed
  as usual. Things are working alright for Telegram, Gmail etc.
  (sound+LED+indicator menu).

  Device: bq Aquaris E5 HD, Ubuntu 15.04 (OTA-9)

  UPDATE: Screenshots get silent too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1544477/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1544477] Re: No sound notification for new SMS (Ubuntu Touch)

2016-08-19 Thread Jim Hodapp
@Anupam: with OTA-12 you already have the fix for bug #1596329. The
other one will come with OTA-13. Until we know what the cause is though,
which many people have been trying to identify, it'll be very difficult
to make sure that it's fixed. I appreciate your patience as we try and
figure this out though.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1544477

Title:
  No sound notification for new SMS (Ubuntu Touch)

Status in Canonical System Image:
  Incomplete
Status in indicator-sound package in Ubuntu:
  Incomplete
Status in media-hub package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  Incomplete
Status in unity8 package in Ubuntu:
  Incomplete

Bug description:
  I noticed for last 2-3 days there is no sound notification for a new
  SMS, but there's a blinking green LED notification. Also in the
  indicator menu the envelope icon turns green and the new SMS is listed
  as usual. Things are working alright for Telegram, Gmail etc.
  (sound+LED+indicator menu).

  Device: bq Aquaris E5 HD, Ubuntu 15.04 (OTA-9)

  UPDATE: Screenshots get silent too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1544477/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1544477] Re: No sound notification for new SMS (Ubuntu Touch)

2016-08-18 Thread Jim Hodapp
@Michal: which device are you using?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1544477

Title:
  No sound notification for new SMS (Ubuntu Touch)

Status in Canonical System Image:
  Incomplete
Status in indicator-sound package in Ubuntu:
  Incomplete
Status in media-hub package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  Incomplete
Status in unity8 package in Ubuntu:
  Incomplete

Bug description:
  I noticed for last 2-3 days there is no sound notification for a new
  SMS, but there's a blinking green LED notification. Also in the
  indicator menu the envelope icon turns green and the new SMS is listed
  as usual. Things are working alright for Telegram, Gmail etc.
  (sound+LED+indicator menu).

  Device: bq Aquaris E5 HD, Ubuntu 15.04 (OTA-9)

  UPDATE: Screenshots get silent too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1544477/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1544477] Re: No sound notification for new SMS (Ubuntu Touch)

2016-08-18 Thread Jim Hodapp
@Michal: can you reproduce it reliably? What were you doing when you
noticed it wasn't working? Are Telegram notifications working for you
right now? How about alarms in the clock app? Can you play music from
the music-app?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1544477

Title:
  No sound notification for new SMS (Ubuntu Touch)

Status in Canonical System Image:
  Incomplete
Status in indicator-sound package in Ubuntu:
  Incomplete
Status in media-hub package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  Incomplete
Status in unity8 package in Ubuntu:
  Incomplete

Bug description:
  I noticed for last 2-3 days there is no sound notification for a new
  SMS, but there's a blinking green LED notification. Also in the
  indicator menu the envelope icon turns green and the new SMS is listed
  as usual. Things are working alright for Telegram, Gmail etc.
  (sound+LED+indicator menu).

  Device: bq Aquaris E5 HD, Ubuntu 15.04 (OTA-9)

  UPDATE: Screenshots get silent too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1544477/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1544477] Re: No sound notification for new SMS (Ubuntu Touch)

2016-08-18 Thread Jim Hodapp
Marked this bug as incomplete. If anybody sees this issue with OTA-12
and can reliably reproduce the issue, we'll reopen this bug.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1544477

Title:
  No sound notification for new SMS (Ubuntu Touch)

Status in Canonical System Image:
  Incomplete
Status in indicator-sound package in Ubuntu:
  Incomplete
Status in media-hub package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  Incomplete
Status in unity8 package in Ubuntu:
  Incomplete

Bug description:
  I noticed for last 2-3 days there is no sound notification for a new
  SMS, but there's a blinking green LED notification. Also in the
  indicator menu the envelope icon turns green and the new SMS is listed
  as usual. Things are working alright for Telegram, Gmail etc.
  (sound+LED+indicator menu).

  Device: bq Aquaris E5 HD, Ubuntu 15.04 (OTA-9)

  UPDATE: Screenshots get silent too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1544477/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1544477] Re: No sound notification for new SMS (Ubuntu Touch)

2016-08-18 Thread Jim Hodapp
It's possible that a fix that I landed in OTA-12 that took care of a
nasty thread deadlock issue took care of this issue, or at least once
trigger of it.

** Changed in: canonical-devices-system-image
   Status: In Progress => Incomplete

** Changed in: indicator-sound (Ubuntu)
   Status: Confirmed => Incomplete

** Changed in: media-hub (Ubuntu)
   Status: Invalid => Incomplete

** Changed in: unity8 (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1544477

Title:
  No sound notification for new SMS (Ubuntu Touch)

Status in Canonical System Image:
  Incomplete
Status in indicator-sound package in Ubuntu:
  Incomplete
Status in media-hub package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  Incomplete
Status in unity8 package in Ubuntu:
  Incomplete

Bug description:
  I noticed for last 2-3 days there is no sound notification for a new
  SMS, but there's a blinking green LED notification. Also in the
  indicator menu the envelope icon turns green and the new SMS is listed
  as usual. Things are working alright for Telegram, Gmail etc.
  (sound+LED+indicator menu).

  Device: bq Aquaris E5 HD, Ubuntu 15.04 (OTA-9)

  UPDATE: Screenshots get silent too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1544477/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1544477] Re: No sound notification for new SMS (Ubuntu Touch)

2016-08-17 Thread Jim Hodapp
@Alfonso, @Pat: that's the issue I mentioned yesterday. Sounds like
something that might be a hole in QA testing that we should bring up
with that team.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1544477

Title:
  No sound notification for new SMS (Ubuntu Touch)

Status in Canonical System Image:
  In Progress
Status in indicator-sound package in Ubuntu:
  Confirmed
Status in media-hub package in Ubuntu:
  Invalid
Status in pulseaudio package in Ubuntu:
  Incomplete
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  I noticed for last 2-3 days there is no sound notification for a new
  SMS, but there's a blinking green LED notification. Also in the
  indicator menu the envelope icon turns green and the new SMS is listed
  as usual. Things are working alright for Telegram, Gmail etc.
  (sound+LED+indicator menu).

  Device: bq Aquaris E5 HD, Ubuntu 15.04 (OTA-9)

  UPDATE: Screenshots get silent too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1544477/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1598181] Re: No network showing from the dialer app even though phone calls are possible

2016-08-17 Thread Jim Hodapp
** Changed in: ofono (Ubuntu)
   Status: In Progress => Fix Committed

** Changed in: dialer-app (Ubuntu)
   Status: Triaged => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dialer-app in Ubuntu.
https://bugs.launchpad.net/bugs/1598181

Title:
  No network showing from the dialer app even though phone calls are
  possible

Status in Canonical System Image:
  In Progress
Status in turbo:
  New
Status in dialer-app package in Ubuntu:
  Invalid
Status in indicator-network package in Ubuntu:
  Invalid
Status in ofono package in Ubuntu:
  Fix Committed

Bug description:
  I noticed that I am seeing "No network" being displayed in the upper
  right hand corner of the dialer app even though I am able to make
  phone calls. This is on turbo and using the smaller SIM slot (#2) with
  T-Mobile in the US.

  Build version info:

  current build number: 116
  device name: turbo
  channel: ubuntu-touch/rc-proposed/ubuntu
  last update: 2016-07-01 09:38:31
  version version: 116
  version ubuntu: 20160701
  version device: 20160617-82a5c0d
  version custom: 20160701

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1598181/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1613056] Re: unity8.log spammed: Failed to get current playback position: org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature "ss" on interface "org.freedesktop

2016-08-16 Thread Jim Hodapp
This happens when media-hub-server has crashed or become unresponsive in
some way, either because the current player session over dbus has hung
or because the system load is very high for some reason. Can you clear
out the crash files in /var/crash, then the next time you notice this do
the following:

1. Attach the crash file(s) for media-hub here
2. Attach the media-hub log file from /home/phablet/.cache/upstart/media-hub.log
3. See if you're able to play music from music-app when you're getting these 
messages.

** Also affects: media-hub (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: qtubuntu-media (Ubuntu)
   Status: New => Invalid

** Changed in: media-hub (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1613056

Title:
  unity8.log spammed: Failed to get current playback position:
  org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature
  "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

Status in media-hub package in Ubuntu:
  Incomplete
Status in qtubuntu-media package in Ubuntu:
  Invalid
Status in unity8 package in Ubuntu:
  Invalid

Bug description:
  BQ E5, OTA-12.

  I've noticed that my ~/.cache/upstart/unity8.log contains lot's of
  these messages, filled every second (file is around 6 Megs at time of
  writing):

  [2016-35-10:11:35:07.388] Failed to get current playback position:
  org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature
  "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

  [2016-35-10:11:35:08.388] Failed to get current playback position:
  org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature
  "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

  [2016-35-10:11:35:09.388] Failed to get current playback position:
  org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature
  "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

  I do not know what produces these, or since when it has started. These
  lines starts from beginning of log file, I cannot trace that event /
  app that started it.

  I've just rebooted, and these messages have stopped.

  There was no other app, except terminal where I was debugging,
  launched, no musig playing, etc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/media-hub/+bug/1613056/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1544477] Re: No sound notification for new SMS (Ubuntu Touch)

2016-08-16 Thread Jim Hodapp
** Changed in: media-hub (Ubuntu)
 Assignee: Jim Hodapp (jhodapp) => Alfonso Sanchez-Beato 
(alfonsosanchezbeato)

** Changed in: canonical-devices-system-image
   Status: Confirmed => In Progress

** Also affects: indicator-sound (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1544477

Title:
  No sound notification for new SMS (Ubuntu Touch)

Status in Canonical System Image:
  In Progress
Status in indicator-sound package in Ubuntu:
  New
Status in media-hub package in Ubuntu:
  Invalid
Status in pulseaudio package in Ubuntu:
  Incomplete

Bug description:
  I noticed for last 2-3 days there is no sound notification for a new
  SMS, but there's a blinking green LED notification. Also in the
  indicator menu the envelope icon turns green and the new SMS is listed
  as usual. Things are working alright for Telegram, Gmail etc.
  (sound+LED+indicator menu).

  Device: bq Aquaris E5 HD, Ubuntu 15.04 (OTA-9)

  UPDATE: Screenshots get silent too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1544477/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1613312] Re: media-hub FTBFS on yakkety

2016-08-15 Thread Jim Hodapp
** Also affects: dbus-cpp (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: media-hub (Ubuntu)
   Status: New => Invalid

** Changed in: dbus-cpp (Ubuntu)
   Importance: Undecided => Critical

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dbus-cpp in Ubuntu.
https://bugs.launchpad.net/bugs/1613312

Title:
  media-hub FTBFS on yakkety

Status in dbus-cpp package in Ubuntu:
  Fix Committed
Status in media-hub package in Ubuntu:
  Invalid

Bug description:
  https://launchpad.net/ubuntu/+source/media-
  hub/4.5.0+16.10.20160720-0ubuntu2

  ---
  In file included from /usr/include/core/dbus/signal.h:207:0,
   from /usr/include/core/dbus/dbus.h:22,
   from /usr/include/core/dbus/service_watcher.h:22,
   from 
/«BUILDDIR»/media-hub-4.5.0+16.10.20160720/src/core/media/service_stub.h:27,
   from 
/«BUILDDIR»/media-hub-4.5.0+16.10.20160720/src/core/media/service.cpp:23:
  /usr/include/core/dbus/impl/signal.h: In member function ‘void 
core::dbus::Signal::disconnect(const 
SubscriptionToken&)’:
  /usr/include/core/dbus/impl/signal.h:68:32: error: return-statement with a 
value, in function returning 'void' [-fpermissive]
   return handlers.erase(token);
  ^
  src/core/media/CMakeFiles/media-hub-client.dir/build.make:113: recipe for 
target 'src/core/media/CMakeFiles/media-hub-client.dir/service.cpp.o' failed
  make[3]: *** [src/core/media/CMakeFiles/media-hub-client.dir/service.cpp.o] 
Error 1
  ---

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dbus-cpp/+bug/1613312/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1493722] Re: [Media services] Volume up/down long press should skip to next/previous track

2016-08-15 Thread Jim Hodapp
@James: what are your thoughts on this from a design perspective?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1493722

Title:
  [Media services] Volume up/down long press should skip to
  next/previous track

Status in Canonical System Image:
  Confirmed
Status in Media Hub:
  Invalid
Status in Ubuntu Music App:
  New
Status in Ubuntu UX:
  Triaged
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  A handy feature of music players is the ability to quickly skip tracks
  by long-pressing the volume buttons. This allows users to control
  their music without having to take the device out of their pocket,
  turn its screen on, unlock it, go to the music app and press "Next".

  As of now, when I long press the volume button, it rapidly increases
  the volume, which is not very nice to my ears ;-)

  Is it possible to control the music app this way on Ubuntu phone?

  Music app version tested: 2.2.910 (2015-09-03)
  Device: Meizu MX 4
  System info: Ubuntu 15.04 (r4)

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1493722/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1598181] Re: No network showing from the dialer app even though phone calls are possible

2016-08-12 Thread Jim Hodapp
** Changed in: ofono (Ubuntu)
   Status: Confirmed => In Progress

** Changed in: canonical-devices-system-image
   Status: Confirmed => In Progress

** Changed in: ofono (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dialer-app in Ubuntu.
https://bugs.launchpad.net/bugs/1598181

Title:
  No network showing from the dialer app even though phone calls are
  possible

Status in Canonical System Image:
  In Progress
Status in turbo:
  New
Status in dialer-app package in Ubuntu:
  Triaged
Status in indicator-network package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  In Progress

Bug description:
  I noticed that I am seeing "No network" being displayed in the upper
  right hand corner of the dialer app even though I am able to make
  phone calls. This is on turbo and using the smaller SIM slot (#2) with
  T-Mobile in the US.

  Build version info:

  current build number: 116
  device name: turbo
  channel: ubuntu-touch/rc-proposed/ubuntu
  last update: 2016-07-01 09:38:31
  version version: 116
  version ubuntu: 20160701
  version device: 20160617-82a5c0d
  version custom: 20160701

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1598181/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1544477] Re: No sound notification for new SMS (Ubuntu Touch)

2016-08-12 Thread Jim Hodapp
@Devid: those are excellent things to try and a very good theory as
well. We really need to figure out how to reliably reproduce this issue
before really being able to say where and what to fix.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1544477

Title:
  No sound notification for new SMS (Ubuntu Touch)

Status in Canonical System Image:
  Confirmed
Status in media-hub package in Ubuntu:
  Invalid
Status in pulseaudio package in Ubuntu:
  Incomplete

Bug description:
  I noticed for last 2-3 days there is no sound notification for a new
  SMS, but there's a blinking green LED notification. Also in the
  indicator menu the envelope icon turns green and the new SMS is listed
  as usual. Things are working alright for Telegram, Gmail etc.
  (sound+LED+indicator menu).

  Device: bq Aquaris E5 HD, Ubuntu 15.04 (OTA-9)

  UPDATE: Screenshots get silent too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1544477/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1612367] Re: [Touch] Incoming call gets silent randomly

2016-08-12 Thread Jim Hodapp
@Anupam: please collect the media-hub log: /home/phablet/.cache/upstart
/media-hub.log

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1612367

Title:
  [Touch] Incoming call gets silent randomly

Status in Canonical System Image:
  New
Status in media-hub package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  I've experienced this strange issue 4-5 times after OTA-12. It seems pretty 
random and is hard to reproduce.
  When I get an incoming call, the screen turns on, the incoming call pop up 
appears, but there is no sound at all even though the phone is not in silent 
mode (and also the speaker volume is not set too low). I can accept this call 
and keep conversing as usual.
  Once I asked the same caller to call me once again after a few minutes, that 
time the phone rang as expected.

  Device: E5, OTA-12, stable channel

  I can provide necessary logs if this happens again. Which ones should
  I gather?

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1612367/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1574729] Re: Audio/Video not in sync on M10/frieza

2016-08-05 Thread Jim Hodapp
** Changed in: canonical-devices-system-image
   Status: Confirmed => In Progress

** Changed in: avila
   Status: Confirmed => In Progress

** Changed in: frieza
   Status: Confirmed => In Progress

** Changed in: pulseaudio (Ubuntu)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1574729

Title:
  Audio/Video not in sync on M10/frieza

Status in The Avila project:
  In Progress
Status in Canonical System Image:
  In Progress
Status in frieza:
  In Progress
Status in media-hub package in Ubuntu:
  Invalid
Status in pulseaudio package in Ubuntu:
  In Progress

Bug description:
  Watching a video (either with the media player or the browser) shows a
  lag between audio and video. It's out of sync for some hundred
  milliseconds, just enough to be very annoying while watching the
  video.

To manage notifications about this bug go to:
https://bugs.launchpad.net/avila/+bug/1574729/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


  1   2   3   4   5   >